<?xml version="1.0" encoding="UTF-8" standalone="yes"?><xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:pyin="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" xmlns:h03="http://sbr.gov.au/dims/LiabEstMethod.02.00.dims" xmlns:h04="http://sbr.gov.au/dims/RprtPyType.02.00.dims" xmlns:h05="http://sbr.gov.au/dims/TaxOblgtn.02.00.dims" xmlns:pyde="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:rvctc="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.00.data" xmlns:pyid="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:as.0001.prv="http://sbr.gov.au/rprt/ato/as/as.0001.private.02.00.module" xmlns:as.0001="http://sbr.gov.au/rprt/ato/as/as.0001.list.request.02.00.report" xmlns:function="http://ato.gov.au/SWSFunctions" xmlns:fn="http://www.w3.org/2005/xpath-functions" version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->


<!--PHASES-->


<!--PROLOG-->
<xsl:import xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" href="AS200908Validator_Functions.xsl"/><xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-uri"><xsl:value-of select="document-uri(/)"/></xsl:variable><xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" method="xml" omit-xml-declaration="no" standalone="yes" indent="no"/><xsl:param xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-id"/><!--MODE: SCHEMATRON-FULL-PATH-2ATO-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" match="node() | @*" mode="schematron-get-full-path-2ato"><xsl:for-each select="ancestor-or-self::*"><xsl:if test="name(.) != 'documents' and name(.) != 'document'"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path"/></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>*:</xsl:text><xsl:value-of select="local-name()"/><xsl:text>[namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose><xsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/><xsl:text>[</xsl:text><xsl:value-of select="1+ $preceding"/><xsl:text>]</xsl:text></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()"/><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.@', name())"/></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*"/></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>n</xsl:text><xsl:number count="node()"/></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))"/><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')"/></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->
<xsl:template match="/"><xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="results"><xsl:apply-templates select="/" mode="M26"/><xsl:apply-templates select="/" mode="M27"/><xsl:apply-templates select="/" mode="M28"/><xsl:apply-templates select="/" mode="M29"/><xsl:apply-templates select="/" mode="M30"/><xsl:apply-templates select="/" mode="M31"/></xsl:variable><xsl:if xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" test="$results"><xsl:element name="tns:Event" namespace="http://sbr.gov.au/comn/event.02.data" inherit-namespaces="no"><xsl:element name="tns:MaximumSeverity.Code"><xsl:choose><xsl:when test="$results//tns:Severity.Code[.='Error']">Error</xsl:when><xsl:when test="$results//tns:Severity.Code[.='Partial']">Partial</xsl:when><xsl:when test="$results//tns:Severity.Code[.='Warning']">Warning</xsl:when><xsl:when test="$results//tns:Severity.Code[.='Information']">Information</xsl:when><xsl:when test="$results//tns:Severity.Code[.='Progressive']">Progressive</xsl:when><xsl:otherwise>Information</xsl:otherwise></xsl:choose></xsl:element><xsl:element name="tns:EventItems"><xsl:if test="not($results//tns:Severity.Code[.='Error'] or  $results//tns:Severity.Code[.='Partial'])"><xsl:element name="tns:EventItem"><xsl:element name="tns:Error.Code">CMN.ATO.GEN.OK</xsl:element><xsl:element name="tns:Severity.Code">Information</xsl:element><xsl:element name="tns:Short.Description">Message accepted</xsl:element><xsl:element name="tns:Locations"><xsl:element name="tns:Location"><xsl:element name="tns:Location.Instance.Identifier"><xsl:value-of select="$document-id"/></xsl:element></xsl:element></xsl:element></xsl:element></xsl:if><xsl:copy-of copy-namespaces="no" select="$results"/></xsl:element></xsl:element></xsl:if></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
                PATTERN AbstractAbstract rule validations for Data Types that are applicable accross all of the AS services.-->
<xsl:template match="text()" priority="-1" mode="M26"/><xsl:template match="@*|node()" priority="-2" mode="M26"><xsl:apply-templates select="*" mode="M26"/></xsl:template>

<!--
                PATTERN VariablesXBRL Context Id variables that are applicable accross all of the AS services.-->
<xsl:variable name="RP.ContextId" select="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 1 and contains(./xbrldi:explicitMember,'ReportingParty')]/xbrldi:explicitMember/../../../@id"/><xsl:variable name="Int.ContextId" select="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 1 and contains(./xbrldi:explicitMember,'Intermediary')]/xbrldi:explicitMember/../../../@id"/><xsl:variable name="RP.StartDate" select="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 1 and contains(./xbrldi:explicitMember,'ReportingParty')]/xbrldi:explicitMember/../../../xbrli:period/xbrli:startDate"/><xsl:variable name="RP.GST.ContextId" select="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2 and (contains(./xbrldi:explicitMember[1],'ReportingParty') or contains(./xbrldi:explicitMember[2],'ReportingParty')) and (contains(./xbrldi:explicitMember[1],'GST') or contains(./xbrldi:explicitMember[2],'GST'))]/xbrldi:explicitMember/../../../@id"/><xsl:variable name="RP.FBT.ContextId" select="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2 and (contains(./xbrldi:explicitMember[1],'ReportingParty') or contains(./xbrldi:explicitMember[2],'ReportingParty')) and (contains(./xbrldi:explicitMember[1],'FBT') or contains(./xbrldi:explicitMember[2],'FBT'))]/xbrldi:explicitMember/../../../@id"/><xsl:variable name="RP.PAYGI.ContextId" select="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2 and (contains(./xbrldi:explicitMember[1],'ReportingParty') or contains(./xbrldi:explicitMember[2],'ReportingParty')) and (contains(./xbrldi:explicitMember[1],'PAYGI') or contains(./xbrldi:explicitMember[2],'PAYGI'))]/xbrldi:explicitMember/../../../@id"/><xsl:variable name="RP.PAYGW.ContextId" select="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2 and (contains(./xbrldi:explicitMember[1],'ReportingParty') or contains(./xbrldi:explicitMember[2],'ReportingParty')) and (contains(./xbrldi:explicitMember[1],'PAYGW') or contains(./xbrldi:explicitMember[2],'PAYGW'))]/xbrldi:explicitMember/../../../@id"/><xsl:variable name="RP.GST.CC.ContextId" select="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 3 and (contains(./xbrldi:explicitMember[1],'ReportingParty') or contains(./xbrldi:explicitMember[2],'ReportingParty') or contains(./xbrldi:explicitMember[3],'ReportingParty')) and (contains(./xbrldi:explicitMember[1],'GST') or contains(./xbrldi:explicitMember[2],'GST') or contains(./xbrldi:explicitMember[3],'GST')) and (contains(./xbrldi:explicitMember[1],'CommissionerChosen') or contains(./xbrldi:explicitMember[2],'CommissionerChosen') or contains(./xbrldi:explicitMember[3],'CommissionerChosen'))]/xbrldi:explicitMember/../../../@id"/><xsl:variable name="RP.GST.BV.ContextId" select="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 3 and (contains(./xbrldi:explicitMember[1],'ReportingParty') or contains(./xbrldi:explicitMember[2],'ReportingParty') or contains(./xbrldi:explicitMember[3],'ReportingParty')) and (contains(./xbrldi:explicitMember[1],'GST') or contains(./xbrldi:explicitMember[2],'GST') or contains(./xbrldi:explicitMember[3],'GST')) and (contains(./xbrldi:explicitMember[1],'BusinessVariation') or contains(./xbrldi:explicitMember[2],'BusinessVariation') or contains(./xbrldi:explicitMember[3],'BusinessVariation'))]/xbrldi:explicitMember/../../../@id"/><xsl:variable name="RP.GST.BE.ContextId" select="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 3 and (contains(./xbrldi:explicitMember[1],'ReportingParty') or contains(./xbrldi:explicitMember[2],'ReportingParty') or contains(./xbrldi:explicitMember[3],'ReportingParty')) and (contains(./xbrldi:explicitMember[1],'GST') or contains(./xbrldi:explicitMember[2],'GST') or contains(./xbrldi:explicitMember[3],'GST')) and (contains(./xbrldi:explicitMember[1],'BusinessEstimation') or contains(./xbrldi:explicitMember[2],'BusinessEstimation') or contains(./xbrldi:explicitMember[3],'BusinessEstimation'))]/xbrldi:explicitMember/../../../@id"/><xsl:variable name="RP.GST.CAL.ContextId" select="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 3 and (contains(./xbrldi:explicitMember[1],'ReportingParty') or contains(./xbrldi:explicitMember[2],'ReportingParty') or contains(./xbrldi:explicitMember[3],'ReportingParty')) and (contains(./xbrldi:explicitMember[1],'GST') or contains(./xbrldi:explicitMember[2],'GST') or contains(./xbrldi:explicitMember[3],'GST')) and (contains(./xbrldi:explicitMember[1],'Calculation') or contains(./xbrldi:explicitMember[2],'Calculation') or contains(./xbrldi:explicitMember[3],'Calculation'))]/xbrldi:explicitMember/../../../@id"/><xsl:variable name="RP.FBT.CC.ContextId" select="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 3 and (contains(./xbrldi:explicitMember[1],'ReportingParty') or contains(./xbrldi:explicitMember[2],'ReportingParty') or contains(./xbrldi:explicitMember[3],'ReportingParty')) and (contains(./xbrldi:explicitMember[1],'FBT') or contains(./xbrldi:explicitMember[2],'FBT') or contains(./xbrldi:explicitMember[3],'FBT')) and (contains(./xbrldi:explicitMember[1],'CommissionerChosen') or contains(./xbrldi:explicitMember[2],'CommissionerChosen') or contains(./xbrldi:explicitMember[3],'CommissionerChosen'))]/xbrldi:explicitMember/../../../@id"/><xsl:variable name="RP.FBT.BV.ContextId" select="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 3 and (contains(./xbrldi:explicitMember[1],'ReportingParty') or contains(./xbrldi:explicitMember[2],'ReportingParty') or contains(./xbrldi:explicitMember[3],'ReportingParty')) and (contains(./xbrldi:explicitMember[1],'FBT') or contains(./xbrldi:explicitMember[2],'FBT') or contains(./xbrldi:explicitMember[3],'FBT')) and (contains(./xbrldi:explicitMember[1],'BusinessVariation') or contains(./xbrldi:explicitMember[2],'BusinessVariation') or contains(./xbrldi:explicitMember[3],'BusinessVariation'))]/xbrldi:explicitMember/../../../@id"/><xsl:variable name="RP.FBT.BE.ContextId" select="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 3 and (contains(./xbrldi:explicitMember[1],'ReportingParty') or contains(./xbrldi:explicitMember[2],'ReportingParty') or contains(./xbrldi:explicitMember[3],'ReportingParty')) and (contains(./xbrldi:explicitMember[1],'FBT') or contains(./xbrldi:explicitMember[2],'FBT') or contains(./xbrldi:explicitMember[3],'FBT')) and (contains(./xbrldi:explicitMember[1],'BusinessEstimation') or contains(./xbrldi:explicitMember[2],'BusinessEstimation') or contains(./xbrldi:explicitMember[3],'BusinessEstimation'))]/xbrldi:explicitMember/../../../@id"/><xsl:variable name="RP.PAYGI.CC.ContextId" select="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 3 and (contains(./xbrldi:explicitMember[1],'ReportingParty') or contains(./xbrldi:explicitMember[2],'ReportingParty') or contains(./xbrldi:explicitMember[3],'ReportingParty')) and (contains(./xbrldi:explicitMember[1],'PAYGI') or contains(./xbrldi:explicitMember[2],'PAYGI') or contains(./xbrldi:explicitMember[3],'PAYGI')) and (contains(./xbrldi:explicitMember[1],'CommissionerChosen') or contains(./xbrldi:explicitMember[2],'CommissionerChosen') or contains(./xbrldi:explicitMember[3],'CommissionerChosen'))]/xbrldi:explicitMember/../../../@id"/><xsl:variable name="RP.PAYGI.BV.ContextId" select="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 3 and (contains(./xbrldi:explicitMember[1],'ReportingParty') or contains(./xbrldi:explicitMember[2],'ReportingParty') or contains(./xbrldi:explicitMember[3],'ReportingParty')) and (contains(./xbrldi:explicitMember[1],'PAYGI') or contains(./xbrldi:explicitMember[2],'PAYGI') or contains(./xbrldi:explicitMember[3],'PAYGI')) and (contains(./xbrldi:explicitMember[1],'BusinessVariation') or contains(./xbrldi:explicitMember[2],'BusinessVariation') or contains(./xbrldi:explicitMember[3],'BusinessVariation'))]/xbrldi:explicitMember/../../../@id"/><xsl:variable name="RP.PAYGI.BE.ContextId" select="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 3 and (contains(./xbrldi:explicitMember[1],'ReportingParty') or contains(./xbrldi:explicitMember[2],'ReportingParty') or contains(./xbrldi:explicitMember[3],'ReportingParty')) and (contains(./xbrldi:explicitMember[1],'PAYGI') or contains(./xbrldi:explicitMember[2],'PAYGI') or contains(./xbrldi:explicitMember[3],'PAYGI')) and (contains(./xbrldi:explicitMember[1],'BusinessEstimation') or contains(./xbrldi:explicitMember[2],'BusinessEstimation') or contains(./xbrldi:explicitMember[3],'BusinessEstimation'))]/xbrldi:explicitMember/../../../@id"/><xsl:variable name="RP.PAYGI.CAL.ContextId" select="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 3 and (contains(./xbrldi:explicitMember[1],'ReportingParty') or contains(./xbrldi:explicitMember[2],'ReportingParty') or contains(./xbrldi:explicitMember[3],'ReportingParty')) and (contains(./xbrldi:explicitMember[1],'PAYGI') or contains(./xbrldi:explicitMember[2],'PAYGI') or contains(./xbrldi:explicitMember[3],'PAYGI')) and (contains(./xbrldi:explicitMember[1],'Calculation') or contains(./xbrldi:explicitMember[2],'Calculation') or contains(./xbrldi:explicitMember[3],'Calculation'))]/xbrldi:explicitMember/../../../@id"/><xsl:template match="text()" priority="-1" mode="M27"/><xsl:template match="@*|node()" priority="-2" mode="M27"><xsl:apply-templates select="*" mode="M27"/></xsl:template>

<!--
                PATTERN ContextRule validations for contexts that are applicable accross all of the AS services.-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context/xbrli:period/xbrli:startDate" priority="1005" mode="M28">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or . castable as xs:date"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.001008</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field not supplied in valid date format</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>CMN.ATO.GEN.001008</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M28"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context/xbrli:period/xbrli:endDate" priority="1004" mode="M28">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or . castable as xs:date"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.001008</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field not supplied in valid date format</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>CMN.ATO.GEN.001008</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M28"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:context" priority="1003" mode="M28">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="count(xbrli:period[not(@i:nil='true' or @i:nil='1') and ./xbrli:startDate castable as xs:date and ./xbrli:endDate castable as xs:date and function:IsDate1GreaterThanDate2(./xbrli:startDate, ./xbrli:endDate)]) = 0"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.AS.000009</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Period start date must be prior to Period end date</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.AS.000201</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:period/xbrli:startDate</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="count(xbrli:period[not(@i:nil='true' or @i:nil='1') and                            ./xbrli:startDate castable as xs:date                           and not(function:IsDate1GreaterOrEqualToDate2(./xbrli:startDate, '2000-07-01'))]) = 0"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.AS.000012</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Period start date can not be prior to 1/7/2000</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.AS.000202</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:period/xbrli:startDate</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="count(xbrli:period/xbrli:startDate[string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')]) =1"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.001001</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Mandatory field not supplied</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.AS.000199</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:period/xbrli:startDate</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="count(xbrli:period/xbrli:endDate[string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')])=1"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.001001</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Mandatory field not supplied</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.AS.000237</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:period/xbrli:endDate</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 3]/xbrldi:explicitMember[contains(@dimension,'LiabilityEstimationMethod') and not(contains(., 'CommissionerChosen')) and not(contains(., 'BusinessEstimation')) and not(contains(., 'BusinessVariation')) and not(contains(., 'Calculation'))]) = 0"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.AS.000038</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid estimation method.</tns:Short.Description><tns:Detailed.Description>The valid values are Calculation, Commissioner Chosen, Business Estimation or Business Variation</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>MN.ATO.AS.000038</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:entity/xbrli:segment/xbrldi:explicitMember</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 1]/xbrldi:explicitMember[not(contains(., 'ReportingParty')) and not(contains(., 'Intermediary'))]) = 0 and                 count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) &gt; 1]/xbrldi:explicitMember[contains(@dimension,'ReportPartyType') and not(contains(., 'ReportingParty'))]) = 0"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.AS.000055</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid ReportingParty Type</tns:Short.Description><tns:Detailed.Description>ReportingParty type must be "ReportingParty" or "Intermediary"</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>MN.ATO.AS.000055</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:entity/xbrli:segment/xbrldi:explicitMember</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 2]/xbrldi:explicitMember[contains(@dimension,'TaxObligationType') and not(contains(.,'FBT')) and not(contains(.,'GST')) and not(contains(.,'PAYGI')) and not(contains(.,'PAYGW'))]) = 0 and                       count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) &gt; 2]/xbrldi:explicitMember[contains(@dimension,'TaxObligationType') and not(contains(.,'FBT')) and not(contains(.,'GST')) and not(contains(.,'PAYGI')) and not(contains(.,'PAYGW'))]) = 0"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.AS.000039</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid obligation type</tns:Short.Description><tns:Detailed.Description>The valid values are FBT, GST, PAYGI or PAYGW</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>MN.ATO.AS.000039</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:entity/xbrli:segment/xbrldi:explicitMember</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="count(xbrli:entity/xbrli:identifier[not(@scheme='http://www.ato.gov.au/abn') and not(@scheme='http://www.ato.gov.au/tfn')]) = 0"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.AS.000056</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid Identifier Scheme</tns:Short.Description><tns:Detailed.Description>Valid Identifier scheme should be "http://www.ato.gov.au/abn" or "http://www.ato.gov.au/tfn"</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>MN.ATO.AS.000056</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="count(xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 3 and count(./xbrldi:explicitMember[contains(@dimension,'LiabilityEstimationMethod') and string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')]) = 1]/xbrldi:explicitMember[contains(@dimension,'TaxObligationType') and not(contains(.,'FBT')) and not(contains(.,'GST')) and not(contains(.,'PAYGI')) and not(contains(.,'PAYGW'))]) = 0"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.AS.000034</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Only FBT, GST, PAYGI can have a Liability Estimation Method Dimension</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>MN.ATO.AS.000034</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:entity/xbrli:segment/xbrldi:explicitMember</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M28"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:context/xbrli:entity[xbrli:segment/xbrldi:explicitMember[contains(., 'ReportingParty')]]" priority="1002" mode="M28">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="                     string-length(normalize-space(                     xbrli:identifier[@scheme = 'http://www.ato.gov.au/abn' or @scheme = 'http://www.ato.gov.au/tfn']                   )) &gt; 0                   "/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.AS.100003</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Taxpayer (Reporting Party) ABN or TFN is required</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.AS.000205</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="$Int.ContextId or                          string-length(normalize-space(                         xbrli:identifier[@scheme = 'http://www.ato.gov.au/abn'])) &gt; 0"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.AS.100005</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>ABN is required</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.AS.000207</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M28"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:context/xbrli:entity[xbrli:segment/xbrldi:explicitMember[contains(., 'Intermediary')]]" priority="1001" mode="M28">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="                     string-length(normalize-space(                     xbrli:identifier[@scheme = 'http://www.ato.gov.au/abn'])) &gt; 0"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.AS.100004</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Intermediary ABN is required</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.AS.000206</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M28"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl" priority="1000" mode="M28">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="count(xbrli:context[@id=$RP.ContextId]) = 1"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.000054</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>There must be only one and at least one Reporting Party (RP) present</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>MN.ATO.GEN.000054</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:context</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="count(xbrli:context[@id=$Int.ContextId]) &lt;= 1"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.AS.000058</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>There must be no more than one Intermediary</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>MN.ATO.AS.000058</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:context</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="count(xbrli:context[count(@id) = 0 and not(@i:nil='true' or @i:nil='1')]) = 0"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.AS.000057</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Context id is required.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>MN.ATO.AS.000057</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:context</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M28"/></xsl:template><xsl:template match="text()" priority="-1" mode="M28"/><xsl:template match="@*|node()" priority="-2" mode="M28"><xsl:apply-templates select="*" mode="M28"/></xsl:template>

<!--
                PATTERN DataTypesList Data Type Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyin:Report.Submission.Date" priority="1002" mode="M29">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or . castable as xs:date"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.001008</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field not supplied in valid date format</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>CMN.ATO.GEN.001008</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M29"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde:OrganisationDetails.OrganisationBranch.Code" priority="1001" mode="M29">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^([1-9]|[1-9][0-9]|[1-9][0-9][0-9])*$')"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.001017</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field not supplied in valid format</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>CMN.ATO.GEN.001017</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M29"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyid:Identifiers.TaxAgentNumber.Identifier" priority="1000" mode="M29">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@i:nil='true' or @i:nil='1' or matches(.,'^[0-9]{8}$')"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.001017</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Field not supplied in valid format</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>CMN.ATO.GEN.001017</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M29"/></xsl:template><xsl:template match="text()" priority="-1" mode="M29"/><xsl:template match="@*|node()" priority="-2" mode="M29"><xsl:apply-templates select="*" mode="M29"/></xsl:template>

<!--
                PATTERN MandatoriesList Mandatory Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl" priority="1000" mode="M30">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not($Int.ContextId and                    count(pyin:Report.Submission.Date[@contextRef=$Int.ContextId and string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')]) = 0)"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.001001</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Mandatory field not supplied</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.AS.000242</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyin:Report.Submission.Date</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="count(pyin:Report.Statement.SearchCriteriaGroupStatus.Code[@contextRef=$RP.ContextId and string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')]) != 0"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.001001</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Mandatory field not supplied</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.AS.000243</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyin:Report.Statement.SearchCriteriaGroupStatus.Code</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M30"/></xsl:template><xsl:template match="text()" priority="-1" mode="M30"/><xsl:template match="@*|node()" priority="-2" mode="M30"><xsl:apply-templates select="*" mode="M30"/></xsl:template>

<!--
                PATTERN ContentList Content Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl" priority="1000" mode="M31">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="normalize-space(pyin:Report.Statement.SearchCriteriaGroupStatus.Code[@contextRef=$RP.ContextId]) = 'Unlodged' or                   normalize-space(pyin:Report.Statement.SearchCriteriaGroupStatus.Code[@contextRef=$RP.ContextId]) = 'Historical' or                     normalize-space(pyin:Report.Statement.SearchCriteriaGroupStatus.Code[@contextRef=$RP.ContextId]) = 'All'"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.AS.000158</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Search criteria group status code can only be "Unlodged", "Historical" or "All"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.AS.000169</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyin:Report.Statement.SearchCriteriaGroupStatus.Code</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M31"/></xsl:template><xsl:template match="text()" priority="-1" mode="M31"/><xsl:template match="@*|node()" priority="-2" mode="M31"><xsl:apply-templates select="*" mode="M31"/></xsl:template></xsl:stylesheet>