﻿<?xml version="1.0" encoding="utf-8"?>
<diagnostics xmlns="http://purl.oclc.org/dsdl/schematron">

  <diagnostic id="DCMN.ATO.GEN.100012">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.100012</Code>
      <Description>SBDH: Field not supplied in valid xs:dateTime format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DCMN.ATO.GEN.100013">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.100013</Code>
      <Description>SBDH: Field not supplied in valid xs:integer format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DCMN.ATO.GEN.001008">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001008</Code>
      <Description>Field not supplied in valid date format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DCMN.ATO.GEN.001009">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001009</Code>
      <Description>Field not supplied in valid monetary format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DCMN.ATO.GEN.001010">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001010</Code>
      <Description>Field not supplied in valid boolean format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DCMN.ATO.GEN.001013">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001013</Code>
      <Description>Field not supplied in valid Positive Integer format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DCMN.ATO.GEN.001014">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001014</Code>
      <Description>Field not supplied in valid Non Negative Integer format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DCMN.ATO.GEN.001018">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001018</Code>
      <Description>Field not supplied in valid decimal format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DCMN.ATO.GEN.001017">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001017</Code>
      <Description>Field not supplied in valid format</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000201">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000009</Code>
      <Description>Period start date must be prior to Period end date</Description>
      <Location>xbrli:period/xbrli:startDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000202">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000012</Code>
      <Description>Period start date can not be prior to 1/7/2000</Description>
      <Location>xbrli:period/xbrli:startDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000199">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>xbrli:period/xbrli:startDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000237">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>xbrli:period/xbrli:endDate</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="CMN.ATO.AS.000038">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000038</Code>
      <Description>Invalid estimation method.</Description>
      <LongDescription>The valid values are Calculation, Commissioner Chosen, Business Estimation or Business Variation</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:explicitMember</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="CMN.ATO.AS.000055">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000055</Code>
      <Description>Invalid ReportingParty Type</Description>
      <LongDescription>ReportingParty type must be "ReportingParty" or "Intermediary"</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:explicitMember</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="CMN.ATO.AS.000039">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000039</Code>
      <Description>Invalid obligation type</Description>
      <LongDescription>The valid values are FBT, GST, PAYGI or PAYGW</LongDescription>
      <Location>xbrli:entity/xbrli:segment/xbrldi:explicitMember</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="CMN.ATO.AS.000056">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000056</Code>
      <Description>Invalid Identifier Scheme</Description>
      <LongDescription>Valid Identifier scheme should be "http://www.ato.gov.au/abn" or "http://www.ato.gov.au/tfn"</LongDescription>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="CMN.ATO.AS.000034">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000034</Code>
      <Description>Only FBT, GST, PAYGI can have a Liability Estimation Method Dimension</Description>
      <Location>xbrli:entity/xbrli:segment/xbrldi:explicitMember</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000205">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.100003</Code>
      <Description>Taxpayer (Reporting Party) ABN or TFN is required</Description>
      <Location>xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000207">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.100005</Code>
      <Description>ABN is required</Description>
      <Location>xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000206">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.100004</Code>
      <Description>Intermediary ABN is required</Description>
      <Location>xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="CMN.ATO.GEN.000054">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000054</Code>
      <Description>There must be only one and at least one Reporting Party (RP) present</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="CMN.ATO.AS.000058">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000058</Code>
      <Description>There must be no more than one Intermediary</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="CMN.ATO.AS.000057">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000057</Code>
      <Description>Context id is required.</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000169">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000158</Code>
      <Description>Search criteria group status code can only be "Unlodged", "Historical" or "All"</Description>
      <Location>pyin:Report.Statement.SearchCriteriaGroupStatus.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000242">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyin:Report.Submission.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000243">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyin:Report.Statement.SearchCriteriaGroupStatus.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000013">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000006</Code>
      <Description>DIN - Document identification number provided is not supported or is invalid</Description>
      <Location>pyin:BusinessDocument.GovernmentGeneratedIdentifier.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000015">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000008</Code>
      <Description>Activity Statement form type not supported or invalid</Description>
      <Location>pyin:Report.TypeVariation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000017">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000002</Code>
      <Description>Lodgement due date is prior to 2000</Description>
      <Location>pyin:Lodgment.Due.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000018">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000004</Code>
      <Description>Payment due date is prior to 2000</Description>
      <Location>pyin:PaymentRecord.Due.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000024">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000011</Code>
      <Description>Activity statement status supplied is invalid</Description>
      <Location>pyin:Report.ProcessStatus.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000034">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000018</Code>
      <Description>9 - Your payment or refund amount is too large</Description>
      <Location>pyin:Report.Statement.Summary.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000052">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000014</Code>
      <Description>7 - Deferred company/fund instalment is too large or has a negative amount</Description>
      <Location>rvctc1:IncomeTax.CompanyAndSuperannuationFundDeferredLiabilityInstalment.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000053">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000037</Code>
      <Description>8A/ 2A/ P1 - Amount you owe the Tax Office is too large or has a negative amount</Description>
      <Location>pyin:Report.Statement.Summary.Payable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000054">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000032</Code>
      <Description>7A - Deferred GST on imported goods is too large or is a negative amount</Description>
      <Location>rvctc3:GoodsAndServicesTax.DeferredLiabilityOnImportDuty.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000058">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000134</Code>
      <Description>F1 - Tax Office FBT instalment amount is too large or is a negative amount</Description>
      <Location>rvctc3:FringeBenefitsTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000069">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000052</Code>
      <Description>8B/ 2B - Amount the Tax Office owes you is too large or has a negative amount</Description>
      <Location>pyin:Report.Statement.Summary.Refundable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000078">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000061</Code>
      <Description>G21 - ATO instalment amount is too large or has a negative amount</Description>
      <Location>rvctc3:GoodsAndServicesTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000079">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000062</Code>
      <Description>G10 - Capital purchases is too large or has a negative amount</Description>
      <Location>bafpr1:Expense.Capital.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000081">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000064</Code>
      <Description>G22 - Estimated net GST for the year is too large or has a negative amount</Description>
      <Location>rvctc3:GoodsAndServicesTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000083">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000066</Code>
      <Description>G2 - Export sales amount is too large or has a negative amount</Description>
      <Location>rvctc3:GoodsAndServicesTax.ExportSales.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000084">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000083</Code>
      <Description>7C – Fuel tax credit over claim amount is too large or has a negative amount</Description>
      <Location>rvctc3:FuelTax.OverclaimedCredits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000085">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000068</Code>
      <Description>7D - Fuel tax credit is too large or has a negative amount</Description>
      <Location>rvctc3:FuelTax.ClaimableCredits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000086">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000069</Code>
      <Description>1E - Luxury car tax is too large or has a negative amount</Description>
      <Location>rvctc3:LuxuryCarTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000087">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000070</Code>
      <Description>1F - Luxury car tax refundable is too large or has a negative amount</Description>
      <Location>rvctc3:LuxuryCarTax.ClaimableCredits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000088">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000071</Code>
      <Description>G11 - Non-capital Purchases is too large or has a negative amount</Description>
      <Location>bafpr1:Expense.NonCapital.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000090">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000073</Code>
      <Description>G3 - Other GST-free sales is too large or has a negative amount</Description>
      <Location>rvctc3:GoodsAndServicesTax.ExemptSales.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000091">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000074</Code>
      <Description>GST reporting option needs to be selected with a value from 0 to 3</Description>
      <Location>rvctc3:GoodsAndServicesTax.SelectedReportingOption.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000092">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000075</Code>
      <Description>G1 - Total sales is too large or has a negative amount</Description>
      <Location>bafpr2:Income.SaleOfGoodsAndServices.Whole.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000096">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000081</Code>
      <Description>GST reporting option is required</Description>
      <Location>rvctc3:GoodsAndServicesTax.SelectedReportingOption.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000097">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000082</Code>
      <Description>T8 - Estimated PAYG income tax for the year is too large or has a negative amount</Description>
      <Location>rvctc1:IncomeTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000099">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000108</Code>
      <Description>PAYG income tax instalment reporting option is required</Description>
      <Location>rvctc1:IncomeTax.SelectedReportingOption.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000102">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000101</Code>
      <Description>T5/ T7 - Tax Office PAYG income tax instalment amount is too large or has a negative amount</Description>
      <Location>rvctc1:IncomeTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000104">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000102</Code>
      <Description>T6/T9 - Varied PAYG income tax instalment amount is too large or has a negative amount</Description>
      <Location>rvctc1:IncomeTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000110">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000097</Code>
      <Description>T1 - PAYG instalment income is too large or has a negative amount</Description>
      <Location>rvctc1:IncomeTax.InstalmentIncome.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000111">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000084</Code>
      <Description>PAYG income tax instalment reporting option must be 0, 1 or 2</Description>
      <Location>rvctc1:IncomeTax.SelectedReportingOption.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000127">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000126</Code>
      <Description>5B - Credit from PAYG income tax instalment variation is too large or has a negative amount</Description>
      <Location>rvctc1:IncomeTax.InstalmentClaimableCredits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000130">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000086</Code>
      <Description>W4 - Amounts withheld where no ABN is quoted is too large or has a negative amount</Description>
      <Location>as.0001.prv:ITPAYGWithholdingDetails/rvctc2:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000131">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000087</Code>
      <Description>W3 - Other amounts withheld (excluding any amount shown at W2 or W4) is too large or has a negative amount</Description>
      <Location>as.0001.prv:ITPAYGWithholdingDetails/rvctc2:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000132">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000112</Code>
      <Description>W2 - Amounts withheld from salaries or wages and other payments shown at W1 is too large or has a negative amount</Description>
      <Location>as.0001.prv:ITPAYGWithholdingDetails/rvctc2:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000133">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000113</Code>
      <Description>W1 - Total salary, wages and other payments is too large or has a negative amount</Description>
      <Location>lrla:Remuneration.WagesAndSalaries.PlusPaymentsOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000135">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000089</Code>
      <Description>4/W5 - PAYG tax withheld (W2+W3+W4) is too large or has a negative amount</Description>
      <Location>rvctc2:IncomeTax.PayAsYouGoWithholding.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000136">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000090</Code>
      <Description>6A - FBT instalment is too large or has a negative amount</Description>
      <Location>rvctc3:FringeBenefitsTax.Payable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000138">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000118</Code>
      <Description>6B - Credit from FBT instalment variation is too large or has a negative amount</Description>
      <Location>rvctc3:FringeBenefitsTax.ClaimableCredits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000139">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000119</Code>
      <Description>1H - GST instalments (amounts reported at G21 or G23 in your activity statement(s) for the reporting period) is too large or has a negative amount</Description>
      <Location>rvctc3:GoodsAndServicesTax.LiabilityInstalmentsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000140">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000120</Code>
      <Description>1A - GST on sales or GST instalment is too large or has a negative amount</Description>
      <Location>rvctc3:GoodsAndServicesTax.Payable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000142">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000122</Code>
      <Description>1B - GST on purchases is too large or has a negative amount</Description>
      <Location>rvctc3:GoodsAndServicesTax.ClaimableCredits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000159">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000153</Code>
      <Description>G23 - Varied GST amount for the quarter is too large or has a negative amount</Description>
      <Location>rvctc3:GoodsAndServicesTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000160">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000154</Code>
      <Description>1C - Wine equalisation tax is too large or has a negative amount</Description>
      <Location>rvctc3:WineEqualisationTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000161">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000155</Code>
      <Description>1D - Wine equalisation tax refundable is too large or has a negative amount</Description>
      <Location>rvctc3:WineEqualisationTax.ClaimableCredits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000174">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000124</Code>
      <Description>5A - PAYG Income tax instalment amount is too large or has a negative amount</Description>
      <Location>rvctc1:IncomeTax.InstalmentPayable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000177">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000163</Code>
      <Description>F2 - Estimated FBT for the year is too large or has a negative amount</Description>
      <Location>rvctc3:FringeBenefitsTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000178">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000168</Code>
      <Description>F3 - Varied FBT amount for the quarter is too large or has a negative amount</Description>
      <Location>rvctc3:FringeBenefitsTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000179">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000169</Code>
      <Description>G9 - GST on Sales (Total sales subject to GST after adjustments divided by eleven) is too large or has a negative amount</Description>
      <Location>rvctc3:GoodsAndServicesTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000182">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000165</Code>
      <Description>T11 = T1 x T2 (or T1 x T3) is too large or has a negative amount</Description>
      <Location>rvctc1:IncomeTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000198">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000182</Code>
      <Description>1A - GST on sales or GST instalment must equal G9 - GST on Sales (Total sales subject to GST after adjustments divided by eleven) when provided</Description>
      <Location>rvctc3:GoodsAndServicesTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000187">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000172</Code>
      <Description>Declaration date is required</Description>
      <Location>declaration:Declaration/pyin:Declaration.Signature.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000189">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000174</Code>
      <Description>Declaration signatory identifier is required</Description>
      <Location>declaration:Declaration/pyin:Declaration.SignatoryIdentifier.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000244">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000184</Code>
      <Description>TaxRate.Type.Code must be "Instalment"</Description>
      <Location>rvctc3:TaxRate.Type.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000238">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000183</Code>
      <Description>Income Tax.Pay As You Go Withholding.Payment Type.Code must be "W2", "W3" or "DNOABN"</Description>
      <Location>rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000025">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000031</Code>
      <Description>Electronic Contact.Telephone.Service Line.Code is required</Description>
      <Location>pyde:ElectronicContact.Telephone.ServiceLine.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000028">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001005</Code>
      <Description>Field not supplied in valid Numeric format</Description>
      <Location>pyde:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000173">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000030</Code>
      <Description>Electronic Contact.Telephone.Usage.Code must be set to "03"</Description>
      <Location>pyde:ElectronicContact.Telephone.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000195">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000180</Code>
      <Description>ElectronicContact.Telephone.ServiceLine.Code must be "01" , "02" , "03" or "09"</Description>
      <Location>pyde:ElectronicContact.Telephone.ServiceLine.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000007">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000160</Code>
      <Description>Business Postal Address Line 1 is required</Description>
      <Location>pyde:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000008">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000135</Code>
      <Description>Business postal address: Overseas address indicator is required.</Description>
      <Location>pyde:AddressDetails.OverseasAddress.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000010">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000003</Code>
      <Description>Business Postal Address Postcode is not a valid Australian postcode.</Description>
      <Location>pyde:AddressDetails.Postcode.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000153">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000147</Code>
      <Description>Address Details Usage Code must be "POS"</Description>
      <Location>pyde:AddressDetails.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000191">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000176</Code>
      <Description>Business postal address: State or territory, Locality name and Postcode are required where Overseas address indicator is False</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001006">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001007</Code>
      <Description>State code must be AAT, ACT, NSW, NT, QLD, SA, TAS, VIC or WA.</Description>
      <Location>pyde:AddressDetails.StateOrTerritory.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000029">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000161</Code>
      <Description>Organisation main trading name is required</Description>
      <Location>pyde:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000165">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000157</Code>
      <Description>Organisational Name Type Code must be "MTR"</Description>
      <Location>pyde:OrganisationNameDetails.OrganisationalNameType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000068">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000033</Code>
      <Description>Electronic Contact.Electronic Mail.Usage.Code must be set to "03"</Description>
      <Location>pyde:ElectronicContact.ElectronicMail.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000186">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000171</Code>
      <Description>Declaration.Statement Type.Code must be "TrueAndCorrect"</Description>
      <Location>pyin:Declaration.StatementType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000188">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000173</Code>
      <Description>Declaration accepted indicator must be set to "True"</Description>
      <Location>pyin:Declaration.StatementAccepted.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000203">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.100001</Code>
      <Description>Multiple taxpayer (Reporting Party) ABNs provided</Description>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000204">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.100002</Code>
      <Description>Multiple taxpayer (Reporting Party) TFNs provided</Description>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="CMN.ATO.AS.428278">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.428278</Code>
      <Description>Incorrect number of XBRL contexts</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="CMN.ATO.AS.000035">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000035</Code>
      <Description>GST related context provided without GST obligation</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="CMN.ATO.AS.000036">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000036</Code>
      <Description>FBT related context provided without FBT obligation</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="CMN.ATO.AS.000040">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000040</Code>
      <Description>PAYGI related context provided without PAYGI obligation</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="CMN.ATO.GEN.000061">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000061</Code>
      <Description>There should not be any of this context</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000011">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied.</Description>
      <Location>pyin:Report.Name.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000023">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied.</Description>
      <Location>pyin:Report.TypeVariation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000048">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied.</Description>
      <Location>pyin:Report.Statement.Revision.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000057">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc3:FringeBenefitsTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000200">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000162</Code>
      <Description>DIN - Document identification number is required</Description>
      <Location>pyin:BusinessDocument.GovernmentGeneratedIdentifier.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000242.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyin:Report.Submission.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000013.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000006</Code>
      <Description>DIN - Document identification number provided is not supported or is invalid</Description>
      <Location>pyin:BusinessDocument.GovernmentGeneratedIdentifier.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000200.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000162</Code>
      <Description>DIN - Document identification number is required</Description>
      <Location>pyin:BusinessDocument.GovernmentGeneratedIdentifier.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000242.1">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyin:Report.Submission.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000013.1">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000006</Code>
      <Description>DIN - Document identification number provided is not supported or is invalid</Description>
      <Location>pyin:BusinessDocument.GovernmentGeneratedIdentifier.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000015.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000008</Code>
      <Description>Activity Statement form type not supported or invalid</Description>
      <Location>pyin:Report.TypeVariation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000017.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000002</Code>
      <Description>Lodgement due date is prior to 2000</Description>
      <Location>pyin:Lodgment.Due.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000018.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000004</Code>
      <Description>Payment due date is prior to 2000</Description>
      <Location>pyin:PaymentRecord.Due.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000024.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000011</Code>
      <Description> Activity statement status supplied is invalid</Description>
      <Location>pyin:Report.ProcessStatus.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000034.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000018</Code>
      <Description>9 - Your payment or refund amount is too large</Description>
      <Location>pyin:Report.Statement.Summary.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000052.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000014</Code>
      <Description>7 - Deferred company/fund instalment is too large or has a negative amount</Description>
      <Location>rvctc1:IncomeTax.CompanyAndSuperannuationFundDeferredLiabilityInstalment.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000053.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000037</Code>
      <Description>8A/ 2A/ P1 - Amount you owe the Tax Office is too large or has a negative amount</Description>
      <Location>pyin:Report.Statement.Summary.Payable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000054.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000032</Code>
      <Description>7A - Deferred GST on imported goods is too large or is a negative amount</Description>
      <Location>rvctc3:GoodsAndServicesTax.DeferredLiabilityOnImportDuty.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000058.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000134</Code>
      <Description>F1 - Tax Office FBT instalment amount is too large or is a negative amount</Description>
      <Location>rvctc3:FringeBenefitsTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000069.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000052</Code>
      <Description>8B/ 2B - Amount the Tax Office owes you is too large or has a negative amount</Description>
      <Location>pyin:Report.Statement.Summary.Refundable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000078.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000061</Code>
      <Description> G21 - ATO instalment amount is too large or has a negative amount</Description>
      <Location>rvctc3:GoodsAndServicesTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000079.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000062</Code>
      <Description>G10 - Capital purchases is too large or has a negative amount</Description>
      <Location>bafpr1:Expense.Capital.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000081.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000064</Code>
      <Description>G22 - Estimated net GST for the year is too large or has a negative amount</Description>
      <Location>rvctc3:GoodsAndServicesTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000083.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000066</Code>
      <Description> G2 - Export sales amount is too large or has a negative amount</Description>
      <Location>rvctc3:GoodsAndServicesTax.ExportSales.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000084.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000083</Code>
      <Description>7C – Fuel tax credit over claim amount is too large or has a negative amount</Description>
      <Location>rvctc3:FuelTax.OverclaimedCredits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000085.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000068</Code>
      <Description>7D - Fuel tax credit is too large or has a negative amount</Description>
      <Location>rvctc3:FuelTax.ClaimableCredits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000086.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000069</Code>
      <Description>1E - Luxury car tax is too large or has a negative amount</Description>
      <Location>rvctc3:LuxuryCarTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000087.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000070</Code>
      <Description>1F - Luxury car tax refundable is too large or has a negative amount</Description>
      <Location>rvctc3:LuxuryCarTax.ClaimableCredits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000088.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000071</Code>
      <Description>G11 - Non-capital Purchases is too large or has a negative amount</Description>
      <Location>bafpr1:Expense.NonCapital.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000090.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000073</Code>
      <Description> G3 - Other GST-free sales is too large or has a negative amount</Description>
      <Location>rvctc3:GoodsAndServicesTax.ExemptSales.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000091.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000074</Code>
      <Description>GST reporting option needs to be selected with a value from 0 to 3</Description>
      <Location>rvctc3:GoodsAndServicesTax.SelectedReportingOption.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000092.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000075</Code>
      <Description>G1 - Total sales is too large or has a negative amount</Description>
      <Location>bafpr2:Income.SaleOfGoodsAndServices.Whole.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000096.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000081</Code>
      <Description>GST reporting option is required</Description>
      <Location>rvctc3:GoodsAndServicesTax.SelectedReportingOption.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000097.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000082</Code>
      <Description>T8 - Estimated PAYG income tax for the year is too large or has a negative amount</Description>
      <Location>rvctc1:IncomeTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000099.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000108</Code>
      <Description>PAYG income tax instalment reporting option is required</Description>
      <Location>rvctc1:IncomeTax.SelectedReportingOption.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000102.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000101</Code>
      <Description>T5/ T7 - Tax Office PAYG income tax instalment amount is too large or has a negative amount</Description>
      <Location>rvctc1:IncomeTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000104.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000102</Code>
      <Description>T6/T9 - Varied PAYG income tax instalment amount is too large or has a negative amount</Description>
      <Location>rvctc1:IncomeTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000110.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000097</Code>
      <Description>T1 - PAYG instalment income is too large or has a negative amount </Description>
      <Location>rvctc1:IncomeTax.InstalmentIncome.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000111.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000084</Code>
      <Description>PAYG income tax instalment reporting option must be 0, 1 or 2 </Description>
      <Location>rvctc1:IncomeTax.SelectedReportingOption.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000127.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000126</Code>
      <Description>5B - Credit from PAYG income tax instalment variation is too large or has a negative amount</Description>
      <Location>rvctc1:IncomeTax.InstalmentClaimableCredits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000130.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000086</Code>
      <Description>W4 - Amounts withheld where no ABN is quoted is too large or has a negative amount</Description>
      <Location>as.0001.prv:ITPAYGWithholdingDetails/rvctc2:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000131.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000087</Code>
      <Description>W3 - Other amounts withheld (excluding any amount shown at W2 or W4) is too large or has a negative amount</Description>
      <Location>as.0001.prv:ITPAYGWithholdingDetails/rvctc2:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000132.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000112</Code>
      <Description>W2 - Amounts withheld from salaries or wages and other payments shown at W1 is too large or has a negative amount</Description>
      <Location>as.0001.prv:ITPAYGWithholdingDetails/rvctc2:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000133.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000113</Code>
      <Description>W1 - Total salary, wages and other payments is too large or has a negative amount</Description>
      <Location>lrla:Remuneration.WagesAndSalaries.PlusPaymentsOther.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000135.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000089</Code>
      <Description>4/W5 - PAYG tax withheld (W2+W3+W4) is too large or has a negative amount</Description>
      <Location>rvctc2:IncomeTax.PayAsYouGoWithholding.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000136.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000090</Code>
      <Description>6A - FBT instalment is too large or has a negative amount</Description>
      <Location>rvctc3:FringeBenefitsTax.Payable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000138.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000118</Code>
      <Description>6B - Credit from FBT instalment variation is too large or has a negative amount</Description>
      <Location>rvctc3:FringeBenefitsTax.ClaimableCredits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000139.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000119</Code>
      <Description>1H - GST instalments (amounts reported at G21 or G23 in your activity statement(s) for the reporting period) is too large or has a negative amount</Description>
      <Location>rvctc3:GoodsAndServicesTax.LiabilityInstalmentsTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000140.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000120</Code>
      <Description>1A - GST on sales or GST instalment is too large or has a negative amount</Description>
      <Location>rvctc3:GoodsAndServicesTax.Payable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000142.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000122</Code>
      <Description>1B - GST on purchases is too large or has a negative amount</Description>
      <Location>rvctc3:GoodsAndServicesTax.ClaimableCredits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000159.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000153</Code>
      <Description>G23 - Varied GST amount for the quarter is too large or has a negative amount</Description>
      <Location>rvctc3:GoodsAndServicesTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000160.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000154</Code>
      <Description>1C - Wine equalisation tax is too large or has a negative amount</Description>
      <Location>rvctc3:WineEqualisationTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000161.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000155</Code>
      <Description>1D - Wine equalisation tax refundable is too large or has a negative amount</Description>
      <Location>rvctc3:WineEqualisationTax.ClaimableCredits.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000174.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000124</Code>
      <Description>5A - PAYG Income tax instalment amount is too large or has a negative amount</Description>
      <Location>rvctc1:IncomeTax.InstalmentPayable.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000177.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000163</Code>
      <Description>F2 - Estimated FBT for the year is too large or has a negative amount</Description>
      <Location>rvctc3:FringeBenefitsTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000178.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000168</Code>
      <Description>F3 - Varied FBT amount for the quarter is too large or has a negative amount</Description>
      <Location>rvctc3:FringeBenefitsTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000179.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000169</Code>
      <Description>G9 - GST on Sales (Total sales subject to GST after adjustments divided by eleven) is too large or has a negative amount</Description>
      <Location>rvctc3:GoodsAndServicesTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000182.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000165</Code>
      <Description>T11 = T1 x T2 (or T1 x T3) is too large or has a negative amount</Description>
      <Location>rvctc1:IncomeTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000198.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000182</Code>
      <Description>1A - GST on sales or GST instalment must equal G9 - GST on Sales (Total sales subject to GST after adjustments divided by eleven) when provided</Description>
      <Location>rvctc3:GoodsAndServicesTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000244.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000184</Code>
      <Description>TaxRate.Type.Code must be "Instalment"</Description>
      <Location>rvctc3:TaxRate.Type.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000238.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000183</Code>
      <Description>Income Tax.Pay As You Go Withholding.Payment Type.Code must be "W2", "W3" or "DNOABN"</Description>
      <Location>rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000068.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000033</Code>
      <Description>Electronic Contact.Electronic Mail.Usage.Code must be set to "03"</Description>
      <Location>pyde:ElectronicContact.ElectronicMail.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000007.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000160</Code>
      <Description>Business Postal Address Line 1 is required</Description>
      <Location>pyde:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000008.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000135</Code>
      <Description>Business Postal address overseas indicator is required</Description>
      <Location>pyde:AddressDetails.OverseasAddress.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000010.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000003</Code>
      <Description>Business Postal Address Postcode is not a valid Australian postcode.</Description>
      <Location>pyde:AddressDetails.Postcode.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000153.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000147</Code>
      <Description>Address Details Usage Code must be "POS"</Description>
      <Location>pyde:AddressDetails.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.001006.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001007</Code>
      <Description>State code must be AAT, ACT, NSW, NT, QLD, SA, TAS, VIC or WA.</Description>
      <Location>pyde:AddressDetails.StateOrTerritory.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="Dpyde:AddressDetails.Usage.Code">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied.</Description>
      <Location>pyde:AddressDetails.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000029.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000161</Code>
      <Description>Organisation name is required</Description>
      <Location>pyde:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000165.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000157</Code>
      <Description>Organisation name - type code must be "MTR"</Description>
      <Location>pyde:OrganisationNameDetails.OrganisationalNameType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="Dpyde:OrganisationNameDetails.OrganisationalNameType.Code">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied.</Description>
      <Location>pyde:OrganisationNameDetails.OrganisationalNameType.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000025.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000031</Code>
      <Description>Electronic Contact.Telephone.Service Line.Code is required</Description>
      <Location>pyde:ElectronicContact.Telephone.ServiceLine.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000028.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001005</Code>
      <Description>Field not supplied in valid Numeric format</Description>
      <Location>pyde:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000173.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000030</Code>
      <Description>Telephone usage code must be set to "03"</Description>
      <Location>pyde:ElectronicContact.Telephone.Usage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000195.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000180</Code>
      <Description>ElectronicContact.Telephone.ServiceLine.Code must be "01" , "02" , "03" or "09"</Description>
      <Location>pyde:ElectronicContact.Telephone.ServiceLine.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000203.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.100001</Code>
      <Description>Multiple taxpayer (Reporting Party) ABNs provided</Description>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000204.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.100002</Code>
      <Description>Multiple taxpayer (Reporting Party) TFNs provided</Description>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000212.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.100000</Code>
      <Description>Invalid XBRL schema. Please contact your Software Developer.</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000213.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.100000</Code>
      <Description>Invalid XBRL schema. Please contact your Software Developer.</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000214.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.100000</Code>
      <Description>Invalid XBRL schema. Please contact your Software Developer.</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000215.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.100000</Code>
      <Description>Invalid XBRL schema. Please contact your Software Developer.</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000216.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.100000</Code>
      <Description>Invalid XBRL schema. Please contact your Software Developer.</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000217.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.100000</Code>
      <Description>Invalid XBRL schema. Please contact your Software Developer.</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000218.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.100000</Code>
      <Description>Invalid XBRL schema. Please contact your Software Developer.</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000219.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.100000</Code>
      <Description>Invalid XBRL schema. Please contact your Software Developer.</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000220.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.100000</Code>
      <Description>Invalid XBRL schema. Please contact your Software Developer.</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000221.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.100000</Code>
      <Description>Invalid XBRL schema. Please contact your Software Developer.</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000222.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.100000</Code>
      <Description>Invalid XBRL schema. Please contact your Software Developer.</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000223.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.100000</Code>
      <Description>Invalid XBRL schema. Please contact your Software Developer.</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000224.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.100000</Code>
      <Description>Invalid XBRL schema. Please contact your Software Developer.</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000225.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.100000</Code>
      <Description>Invalid XBRL schema. Please contact your Software Developer.</Description>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000011.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied.</Description>
      <Location>pyin:Report.Name.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000023.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied.</Description>
      <Location>pyin:Report.TypeVariation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000048.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied.</Description>
      <Location>pyin:Report.Statement.Revision.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000057.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>rvctc3:FringeBenefitsTax.Liability.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000200.1">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000162</Code>
      <Description>DIN - Document identification number is required</Description>
      <Location>pyin:BusinessDocument.GovernmentGeneratedIdentifier.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000242.2">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001001</Code>
      <Description>Mandatory field not supplied</Description>
      <Location>pyin:Report.Submission.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.AS.000800">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.AS.000800</Code>
      <Description>Times taken to complete this form must be greater than 0</Description>
      <Location>pyin:Report.CompletionHours.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
</diagnostics>