﻿<?xml version="1.0" encoding="utf-8"?>
<schema xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" schemaVersion="ISO19757-3" queryBinding="xslt2" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Validation of Process Form for SBR Lodge Web Service</title>

<ns prefix="xs" uri="http://www.w3.org/2001/XMLSchema" />
<ns prefix="i" uri="http://www.w3.org/2001/XMLSchema-instance" />
<ns prefix="xbrli" uri="http://www.xbrl.org/2003/instance" />
<ns prefix="xbrldi" uri="http://xbrl.org/2006/xbrldi" />
<ns prefix="link" uri="http://www.xbrl.org/2003/linkbase" />
<ns prefix="xlink" uri="http://www.w3.org/1999/xlink" />
<ns prefix="ref" uri="http://www.xbrl.org/2006/ref" />
<ns prefix="iso4217" uri="http://www.xbrl.org/2003/iso4217" />
<ns prefix="xmime" uri="http://www.w3.org/2005/05/xmlmime" />
<ns prefix="tech" uri="http://sbr.gov.au/fdtn/sbr.01.02.tech" />
<ns prefix="bafpr1" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr1.02.00.data" />
<ns prefix="bafpr2" uri="http://sbr.gov.au/icls/baf/bafpr/bafpr2.02.00.data" />
<ns prefix="rvctc1" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.00.data" />
<ns prefix="rvctc2" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.00.data" />
<ns prefix="rvctc3" uri="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.00.data" />
<ns prefix="pyin" uri="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" />
<ns prefix="pyid" uri="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" />
<ns prefix="pyde" uri="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" />
<ns prefix="h03" uri="http://sbr.gov.au/dims/LiabEstMethod.02.00.dims" />
<ns prefix="h04" uri="http://sbr.gov.au/dims/RprtPyType.02.00.dims" />
<ns prefix="h05" uri="http://sbr.gov.au/dims/TaxOblgtn.02.00.dims" />
<ns prefix="lrla" uri="http://sbr.gov.au/icls/lr/lrla/lrla.02.00.data" />
<ns prefix="bafot" uri="http://sbr.gov.au/icls/baf/bafot/bafot.02.00.data" />
<ns prefix="taxrate" uri="http://sbr.gov.au/comnmdle/comnmdle.taxrate1.02.00.module" />
<ns prefix="organisationname1" uri="http://sbr.gov.au/comnmdle/comnmdle.organisationname1.02.00.module" />
<ns prefix="electroniccontactelectronicmail" uri="http://sbr.gov.au/comnmdle/comnmdle.electroniccontactelectronicmail1.02.00.module" />
<ns prefix="electroniccontacttelephone" uri="http://sbr.gov.au/comnmdle/comnmdle.electroniccontacttelephone1.02.00.module" />
<ns prefix="addressdetails1" uri="http://sbr.gov.au/comnmdle/comnmdle.addressdetails1.02.00.module" />
<ns prefix="declaration" uri="http://sbr.gov.au/comnmdle/comnmdle.declaration1.02.00.module" />
<ns prefix="as.0001.prv" uri="http://sbr.gov.au/rprt/ato/as/as.0001.private.02.00.module" />
<ns prefix="as.0001" uri="http://sbr.gov.au/rprt/ato/as/as.0001.lodge.request.02.00.report" />
<ns prefix="function" uri="http://ato.gov.au/SWSFunctions" />
<ns prefix="fn" uri="http://www.w3.org/2005/xpath-functions" />


<phase id="Full">
<active pattern="Abstract" />
<active pattern="Context" />
<active pattern="Variables" />
<active pattern="DataTypes" />
<active pattern="Mandatories" />
<active pattern="Content" />
</phase>

<phase id="Prerequisites">
<active pattern="Abstract" />
<active pattern="Context" />
<active pattern="Variables" />
<active pattern="DataTypes" />
</phase>

<phase id="Mandatories">
<active pattern="Variables" />
<active pattern="Mandatories" />
</phase>

<phase id="Content">
<active pattern="Variables" />
<active pattern="Content" />
</phase>

<include href="../Common/Abstracts.sch" />
<include href="../Common/Variables.sch" />
<include href="../Common/Context.sch" />
<include href="Lodge DataTypes.sch" />
<include href="Lodge Mandatories.sch" />
<include href="Lodge Content.sch" />
<include href="../Diagnostics.sch" />
</schema>