﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title> - PreLodge - XBRL Instance Validations</title>


  <rule context="xbrli:xbrl">
    <!-- 
 GENERAL RULES 
 -->


    <assert  id="VR.ATO.AS.000013" diagnostics="DVR.ATO.AS.000013.1" test="not(
						      (count(pyin:BusinessDocument.GovernmentGeneratedIdentifier.Text[@contextRef = $RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0  or  
                	  string-length(pyin:BusinessDocument.GovernmentGeneratedIdentifier.Text[@contextRef = $RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0 or
                    pyin:BusinessDocument.GovernmentGeneratedIdentifier.Text[@contextRef = $RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double ) and 
			                (number(pyin:BusinessDocument.GovernmentGeneratedIdentifier.Text[@contextRef = $RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &lt; 100000000 or
               			    number(pyin:BusinessDocument.GovernmentGeneratedIdentifier.Text[@contextRef = $RP.ContextId and  not(@i:nil = 'true' or @i:nil = '1')]) &gt; 99999999999 )) ">DIN - Document identification number provided is not supported or is invalid</assert>


    <assert  id="VR.ATO.AS.000015" diagnostics="DVR.ATO.AS.000015.0" test="not(
                        (count(pyin:Report.TypeVariation.Code[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0  or 
                            string-length(pyin:Report.TypeVariation.Code[@contextRef=$RP.ContextId]) &gt; 0) 
                            and (
                            pyin:Report.TypeVariation.Code[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] !='A' and
                            pyin:Report.TypeVariation.Code[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] !='B' and
                            pyin:Report.TypeVariation.Code[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] !='C' and
                            pyin:Report.TypeVariation.Code[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] !='D' and
                            pyin:Report.TypeVariation.Code[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] !='F' and
                            pyin:Report.TypeVariation.Code[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] !='G' and
                            pyin:Report.TypeVariation.Code[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] !='I' and
                            pyin:Report.TypeVariation.Code[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] !='J' and
                            pyin:Report.TypeVariation.Code[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] !='N' and
                            pyin:Report.TypeVariation.Code[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] !='P' and
                            pyin:Report.TypeVariation.Code[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] !='R' and
                            pyin:Report.TypeVariation.Code[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] !='S' and
                            pyin:Report.TypeVariation.Code[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] !='T' and
                            pyin:Report.TypeVariation.Code[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] !='U' and
                            pyin:Report.TypeVariation.Code[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] !='V' and
                            pyin:Report.TypeVariation.Code[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] !='W' and
                            pyin:Report.TypeVariation.Code[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] !='X' and
                            pyin:Report.TypeVariation.Code[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] !='Y' and
                            pyin:Report.TypeVariation.Code[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] !='Z'))">Activity Statement form type not supported or invalid</assert>


    <assert  id="VR.ATO.AS.000017" diagnostics="DVR.ATO.AS.000017.0" test="( count(pyin:Lodgment.Due.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])=0 or  
            string-length(pyin:Lodgment.Due.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])=0)or 
        (pyin:Lodgment.Due.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] castable as xs:date and number(substring(pyin:Lodgment.Due.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')],1,4)) &gt; 1999)
      ">Lodgement due date is prior to 2000</assert>


    <assert  id="VR.ATO.AS.000018" diagnostics="DVR.ATO.AS.000018.0" test="( count(pyin:PaymentRecord.Due.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])=0 or  
            string-length(pyin:PaymentRecord.Due.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])=0)or 
            (pyin:PaymentRecord.Due.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]  castable as xs:date and 
			number(substring(pyin:PaymentRecord.Due.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')],1,4)) &gt; 1999)
      ">Payment due date is prior to 2000</assert>


    <assert  id="VR.ATO.AS.000024" diagnostics="DVR.ATO.AS.000024.0" test="not(
          ( count(pyin:Report.ProcessStatus.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0  or 
            string-length(pyin:Report.ProcessStatus.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0) and (
            pyin:Report.ProcessStatus.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] !='DSP' and
            pyin:Report.ProcessStatus.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] !='GEN' and
            pyin:Report.ProcessStatus.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] !='RCVD' and
            pyin:Report.ProcessStatus.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] !='EXCL' and
            pyin:Report.ProcessStatus.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] !='FIN' and
            pyin:Report.ProcessStatus.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] !='CANC' and
            pyin:Report.ProcessStatus.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] !='DISC'))
           "> Activity statement status supplied is invalid</assert>
    <!--
            Rule ID: VR.ATO.AS.000034
            CR's: 463P
            
            IF ((RP:pyin.xx.xx:Report.Statement.Summary.Net.Amount) <> NULLORBLANK)
            AND(((RP:pyin.xx.xx:Report.Statement.Summary.Net.Amount) < "-9999999999999")
            OR ((RP:pyin.xx.xx:Report.Statement.Summary.Net.Amount) > "9999999999999"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


    <assert  id="VR.ATO.AS.000034" diagnostics="DVR.ATO.AS.000034.0" test="not(pyin:Report.Statement.Summary.Net.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] castable as xs:double and (count(pyin:Report.Statement.Summary.Net.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0 and 
                        string-length(pyin:Report.Statement.Summary.Net.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0) and 
						 (
                        number(pyin:Report.Statement.Summary.Net.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &lt; -9999999999999 or 
                        number(pyin:Report.Statement.Summary.Net.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 9999999999999 ))">9 - Your payment or refund amount is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000052" diagnostics="DVR.ATO.AS.000052.0" test="not((count(rvctc1:IncomeTax.CompanyAndSuperannuationFundDeferredLiabilityInstalment.Amount[@contextRef = $RP.PAYGI.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0 or 
                        string-length(rvctc1:IncomeTax.CompanyAndSuperannuationFundDeferredLiabilityInstalment.Amount[@contextRef = $RP.PAYGI.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0 ) and
						rvctc1:IncomeTax.CompanyAndSuperannuationFundDeferredLiabilityInstalment.Amount[@contextRef = $RP.PAYGI.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and
                        (number(rvctc1:IncomeTax.CompanyAndSuperannuationFundDeferredLiabilityInstalment.Amount[@contextRef = $RP.PAYGI.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &lt; 0 or
                        number(rvctc1:IncomeTax.CompanyAndSuperannuationFundDeferredLiabilityInstalment.Amount[@contextRef = $RP.PAYGI.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt;= 9999999999999))">7 - Deferred company/fund instalment is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000053" diagnostics="DVR.ATO.AS.000053.0" test="not (
               (  count(pyin:Report.Statement.Summary.Payable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0   or
                  string-length(pyin:Report.Statement.Summary.Payable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt;0 ) and
				  pyin:Report.Statement.Summary.Payable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] castable as xs:double and
                  (
                   number(pyin:Report.Statement.Summary.Payable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])&lt; 0 or 
                  (number(pyin:Report.Statement.Summary.Payable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])&gt; 9999999999999)
                  )
				        )
                  ">8A/ 2A/ P1 - Amount you owe the Tax Office is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000054" diagnostics="DVR.ATO.AS.000054.0" test="not(
             (count(rvctc3:GoodsAndServicesTax.DeferredLiabilityOnImportDuty.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 or
               string-length(rvctc3:GoodsAndServicesTax.DeferredLiabilityOnImportDuty.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0 ) and (
			   rvctc3:GoodsAndServicesTax.DeferredLiabilityOnImportDuty.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')] castable as xs:double and
            number(rvctc3:GoodsAndServicesTax.DeferredLiabilityOnImportDuty.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')]) &lt; 0 or 
            number(rvctc3:GoodsAndServicesTax.DeferredLiabilityOnImportDuty.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt;9999999999999 ))
            ">7A - Deferred GST on imported goods is too large or is a negative amount</assert>


    <assert  id="VR.ATO.AS.000058" diagnostics="DVR.ATO.AS.000058.0" test="not ((rvctc3:FringeBenefitsTax.Liability.Amount[@contextRef=$RP.FBT.CC.ContextId and not(@i:nil = 'true' or @i:nil = '1')]   or
                  string-length(rvctc3:FringeBenefitsTax.Liability.Amount[@contextRef=$RP.FBT.CC.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt;0 ) and
				  rvctc3:FringeBenefitsTax.Liability.Amount[@contextRef=$RP.FBT.CC.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and
                  (number(rvctc3:FringeBenefitsTax.Liability.Amount[@contextRef=$RP.FBT.CC.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&lt; 0 or 
                  number(rvctc3:FringeBenefitsTax.Liability.Amount[@contextRef=$RP.FBT.CC.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&gt; 9999999999999))
               ">F1 - Tax Office FBT instalment amount is too large or is a negative amount</assert>


    <assert  id="VR.ATO.AS.000069" diagnostics="DVR.ATO.AS.000069.0" test="not ((pyin:Report.Statement.Summary.Refundable.Amount[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')]   or
                  string-length(pyin:Report.Statement.Summary.Refundable.Amount[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt;0 ) and
				  pyin:Report.Statement.Summary.Refundable.Amount[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and
                  (number(pyin:Report.Statement.Summary.Refundable.Amount[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&lt; 0 or 
                  number(pyin:Report.Statement.Summary.Refundable.Amount[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&gt; 9999999999999))
                  ">8B/ 2B - Amount the Tax Office owes you is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000078" diagnostics="DVR.ATO.AS.000078.0" test="not((rvctc3:GoodsAndServicesTax.Liability.Amount[@contextRef=$RP.GST.CC.ContextId and not(@i:nil = 'true' or @i:nil = '1')] or 
                     string-length(rvctc3:GoodsAndServicesTax.Liability.Amount[@contextRef=$RP.GST.CC.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&gt;0)and
					 rvctc3:GoodsAndServicesTax.Liability.Amount[@contextRef=$RP.GST.CC.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and
                   ( number(rvctc3:GoodsAndServicesTax.Liability.Amount[@contextRef=$RP.GST.CC.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&lt;0    or
                     number(rvctc3:GoodsAndServicesTax.Liability.Amount[@contextRef=$RP.GST.CC.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 9999999999999))
              "> G21 - ATO instalment amount is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000079" diagnostics="DVR.ATO.AS.000079.0" test="not((bafpr1:Expense.Capital.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] or 
                     string-length(bafpr1:Expense.Capital.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&gt;0)and
					 bafpr1:Expense.Capital.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and
                   ( number(bafpr1:Expense.Capital.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&lt;0    or
                     number(bafpr1:Expense.Capital.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 9999999999999))
              ">G10 - Capital purchases is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000081" diagnostics="DVR.ATO.AS.000081.0" test="not((rvctc3:GoodsAndServicesTax.Liability.Amount[@contextRef=$RP.GST.BE.ContextId and not(@i:nil = 'true' or @i:nil = '1')] or 
                     string-length(rvctc3:GoodsAndServicesTax.Liability.Amount[@contextRef=$RP.GST.BE.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&gt;0)and
					 rvctc3:GoodsAndServicesTax.Liability.Amount[@contextRef=$RP.GST.BE.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and
                   ( number(rvctc3:GoodsAndServicesTax.Liability.Amount[@contextRef=$RP.GST.BE.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&lt;0    or
                     number(rvctc3:GoodsAndServicesTax.Liability.Amount[@contextRef=$RP.GST.BE.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 9999999999999))
              ">G22 - Estimated net GST for the year is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000083" diagnostics="DVR.ATO.AS.000083.0" test="not((rvctc3:GoodsAndServicesTax.ExportSales.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] or 
                     string-length(rvctc3:GoodsAndServicesTax.ExportSales.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&gt;0)and
                   rvctc3:GoodsAndServicesTax.ExportSales.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and
				   ( number(rvctc3:GoodsAndServicesTax.ExportSales.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&lt;0    or
                     number(rvctc3:GoodsAndServicesTax.ExportSales.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 9999999999999))
              "> G2 - Export sales amount is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000084" diagnostics="DVR.ATO.AS.000084.0" test="not(
                ( count(rvctc3:FuelTax.OverclaimedCredits.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
                or string-length(rvctc3:FuelTax.OverclaimedCredits.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0) and
                 rvctc3:FuelTax.OverclaimedCredits.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')] castable as xs:double and                                   ( number(rvctc3:FuelTax.OverclaimedCredits.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')])&lt; 0 or 
                 number(rvctc3:FuelTax.OverclaimedCredits.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')])&gt; 9999999999999) 
                 )">T6/T9 - Varied PAYG income tax instalment amount is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000085" diagnostics="DVR.ATO.AS.000085.0" test="not(
                  (count(rvctc3:FuelTax.ClaimableCredits.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                   or string-length(rvctc3:FuelTax.ClaimableCredits.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0) and
                 rvctc3:FuelTax.ClaimableCredits.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')] castable as xs:double and                                   ( number(rvctc3:FuelTax.ClaimableCredits.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')])&lt; 0 or 
                 number(rvctc3:FuelTax.ClaimableCredits.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')])&gt; 9999999999999) 
                 )">7D - Fuel tax credit is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000086" diagnostics="DVR.ATO.AS.000086.0" test="not(
                 (count(rvctc3:LuxuryCarTax.Liability.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
                  or string-length(rvctc3:LuxuryCarTax.Liability.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0) and
                 rvctc3:LuxuryCarTax.Liability.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')] castable as xs:double and                                   ( number(rvctc3:LuxuryCarTax.Liability.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')])&lt; 0 or 
                 number(rvctc3:LuxuryCarTax.Liability.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')])&gt; 9999999999999) 
                 )">1E - Luxury car tax is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000087" diagnostics="DVR.ATO.AS.000087.0" test="not(
                 (count(rvctc3:LuxuryCarTax.ClaimableCredits.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
                  or string-length(rvctc3:LuxuryCarTax.ClaimableCredits.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0) and
                 rvctc3:LuxuryCarTax.ClaimableCredits.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')] castable as xs:double and                                   ( number(rvctc3:LuxuryCarTax.ClaimableCredits.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')])&lt; 0 or 
                 number(rvctc3:LuxuryCarTax.ClaimableCredits.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')])&gt; 9999999999999) 
                 )">1F - Luxury car tax refundable is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000088" diagnostics="DVR.ATO.AS.000088.0" test="not((bafpr1:Expense.NonCapital.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] or 
                     string-length(bafpr1:Expense.NonCapital.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&gt;0)and
                   bafpr1:Expense.NonCapital.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and                                       ( number(bafpr1:Expense.NonCapital.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] )&lt;0    or
                     number(bafpr1:Expense.NonCapital.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 9999999999999))
              ">G11 - Non-capital Purchases is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000090" diagnostics="DVR.ATO.AS.000090.0" test="not((rvctc3:GoodsAndServicesTax.ExemptSales.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] or 
                     string-length(rvctc3:GoodsAndServicesTax.ExemptSales.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&gt;0)and
                   rvctc3:GoodsAndServicesTax.ExemptSales.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and                                       ( number(rvctc3:GoodsAndServicesTax.ExemptSales.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&lt;0    or
                     number(rvctc3:GoodsAndServicesTax.ExemptSales.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 9999999999999))
              "> G3 - Other GST-free sales is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000091" diagnostics="DVR.ATO.AS.000091.0" test="not((count(rvctc3:GoodsAndServicesTax.SelectedReportingOption.Code[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 and 
            string-length(rvctc3:GoodsAndServicesTax.SelectedReportingOption.Code[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0) and (
           rvctc3:GoodsAndServicesTax.SelectedReportingOption.Code[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')] !='0' and
           rvctc3:GoodsAndServicesTax.SelectedReportingOption.Code[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')] !='1' and
           rvctc3:GoodsAndServicesTax.SelectedReportingOption.Code[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')] !='2' and
           rvctc3:GoodsAndServicesTax.SelectedReportingOption.Code[@contextRef=$RP.GST.ContextId and not(@i:nil='true' or @i:nil='1')] !='3' ))
         ">GST reporting option needs to be selected with a value from 0 to 3</assert>


    <assert  id="VR.ATO.AS.000092" diagnostics="DVR.ATO.AS.000092.0" test="not(( bafpr2:Income.SaleOfGoodsAndServices.Whole.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')]   or 
                     string-length(bafpr2:Income.SaleOfGoodsAndServices.Whole.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&gt;0)and
                   bafpr2:Income.SaleOfGoodsAndServices.Whole.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and                                       ( number(bafpr2:Income.SaleOfGoodsAndServices.Whole.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&lt;0    or
                     number(bafpr2:Income.SaleOfGoodsAndServices.Whole.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 9999999999999))
              ">G1 - Total sales is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000096" diagnostics="DVR.ATO.AS.000096.0" test="not ($RP.GST.ContextId and 
               ( count(rvctc3:GoodsAndServicesTax.SelectedReportingOption.Code[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')])=0 
                or string-length(rvctc3:GoodsAndServicesTax.SelectedReportingOption.Code)=0))
            ">GST reporting option is required</assert>


    <assert  id="VR.ATO.AS.000097" diagnostics="DVR.ATO.AS.000097.0" test=" not(( rvctc1:IncomeTax.Liability.Amount[@contextRef=$RP.PAYGI.BE.ContextId and not(@i:nil = 'true' or @i:nil = '1')] or  
                 string-length(rvctc1:IncomeTax.Liability.Amount[@contextRef=$RP.PAYGI.BE.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&gt;0)and 
                 rvctc1:IncomeTax.Liability.Amount[@contextRef=$RP.PAYGI.BE.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and  
                  
                 ( number(rvctc1:IncomeTax.Liability.Amount[@contextRef=$RP.PAYGI.BE.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&lt;0 or 
                 number(rvctc1:IncomeTax.Liability.Amount[@contextRef=$RP.PAYGI.BE.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 9999999999999))">T8 - Estimated PAYG income tax for the year is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000099" diagnostics="DVR.ATO.AS.000099.0" test=" not ($RP.PAYGI.ContextId and 
                   (count(rvctc1:IncomeTax.SelectedReportingOption.Code[@contextRef=$RP.PAYGI.ContextId and not(@i:nil = 'true' or @i:nil = '1')])=0 
                         or string-length(rvctc1:IncomeTax.SelectedReportingOption.Code)=0))">PAYG income tax instalment reporting option is required</assert>


    <assert  id="VR.ATO.AS.000102" diagnostics="DVR.ATO.AS.000102.0" test=" not((rvctc1:IncomeTax.Liability.Amount[@contextRef=$RP.PAYGI.CC.ContextId and not(@i:nil = 'true' or @i:nil = '1')]  or  
                string-length(rvctc1:IncomeTax.Liability.Amount[@contextRef=$RP.PAYGI.CC.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&gt;0)and 
                rvctc1:IncomeTax.Liability.Amount[@contextRef=$RP.PAYGI.CC.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and  
                 
                ( number(rvctc1:IncomeTax.Liability.Amount[@contextRef=$RP.PAYGI.CC.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&lt;0 or 
                number(rvctc1:IncomeTax.Liability.Amount[@contextRef=$RP.PAYGI.CC.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 9999999999999))
             ">T5/ T7 - Tax Office PAYG income tax instalment amount is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000104" diagnostics="DVR.ATO.AS.000104.0" test=" not(( rvctc1:IncomeTax.Liability.Amount[@contextRef=$RP.PAYGI.BV.ContextId and not(@i:nil = 'true' or @i:nil = '1')]  or 
                  string-length(rvctc1:IncomeTax.Liability.Amount[@contextRef=$RP.PAYGI.BV.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&gt;0)and 
                    rvctc1:IncomeTax.Liability.Amount[@contextRef=$RP.PAYGI.BV.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and  
                     
                    ( number(rvctc1:IncomeTax.Liability.Amount[@contextRef=$RP.PAYGI.BV.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&lt;0 or 
                      number(rvctc1:IncomeTax.Liability.Amount[@contextRef=$RP.PAYGI.BV.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 9999999999999))">T6/T9 - Varied PAYG income tax instalment amount is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000110" diagnostics="DVR.ATO.AS.000110.0" test="not(
             (count(rvctc1:IncomeTax.InstalmentIncome.Amount[@contextRef=$RP.PAYGI.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 or
               string-length(rvctc1:IncomeTax.InstalmentIncome.Amount[@contextRef=$RP.PAYGI.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0 ) and
			   rvctc1:IncomeTax.InstalmentIncome.Amount[@contextRef=$RP.PAYGI.ContextId and not(@i:nil='true' or @i:nil='1')] castable as xs:double and
              ((number(rvctc1:IncomeTax.InstalmentIncome.Amount[@contextRef=$RP.PAYGI.ContextId and not(@i:nil='true' or @i:nil='1')])&lt; 0) or
              (rvctc1:IncomeTax.InstalmentIncome.Amount[@contextRef=$RP.PAYGI.ContextId and not(@i:nil='true' or @i:nil='1')])&gt; 9999999999999)) ">T1 - PAYG instalment income is too large or has a negative amount </assert>


    <assert  id="VR.ATO.AS.000111" diagnostics="DVR.ATO.AS.000111.0" test="not(
         (count(rvctc1:IncomeTax.SelectedReportingOption.Code[@contextRef=$RP.PAYGI.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0)and 
           (string-length(rvctc1:IncomeTax.SelectedReportingOption.Code[@contextRef=$RP.PAYGI.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0) and 
           (rvctc1:IncomeTax.SelectedReportingOption.Code[@contextRef=$RP.PAYGI.ContextId and not(@i:nil='true' or @i:nil='1')] !='0') and
           (rvctc1:IncomeTax.SelectedReportingOption.Code[@contextRef=$RP.PAYGI.ContextId and not(@i:nil='true' or @i:nil='1')] !='1') and
           (rvctc1:IncomeTax.SelectedReportingOption.Code[@contextRef=$RP.PAYGI.ContextId and not(@i:nil='true' or @i:nil='1')] !='2')
           )
         ">PAYG income tax instalment reporting option must be 0, 1 or 2 </assert>


    <assert  id="VR.ATO.AS.000127" diagnostics="DVR.ATO.AS.000127.0" test="not(
                        (count(rvctc1:IncomeTax.InstalmentClaimableCredits.Amount[@contextRef = $RP.PAYGI.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0 or                        
                        string-length(rvctc1:IncomeTax.InstalmentClaimableCredits.Amount[@contextRef = $RP.PAYGI.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0 ) and                    
						rvctc1:IncomeTax.InstalmentClaimableCredits.Amount[@contextRef = $RP.PAYGI.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and
                        (number(rvctc1:IncomeTax.InstalmentClaimableCredits.Amount[@contextRef = $RP.PAYGI.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &lt; 0 or
                        number(rvctc1:IncomeTax.InstalmentClaimableCredits.Amount[@contextRef = $RP.PAYGI.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt;= 9999999999999))">5B - Credit from PAYG income tax instalment variation is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000130" diagnostics="DVR.ATO.AS.000130.0" test=" not( 
                        (count(as.0001.prv:ITPAYGWithholdingDetails[contains (./rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.PAYGW.ContextId],'DNOABN')]/rvctc2:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0 or 
                        string-length(as.0001.prv:ITPAYGWithholdingDetails[contains (./rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.PAYGW.ContextId],'DNOABN')]/rvctc2:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0) and
						as.0001.prv:ITPAYGWithholdingDetails[contains (./rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.PAYGW.ContextId],'DNOABN')]/rvctc2:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and
                        (number(as.0001.prv:ITPAYGWithholdingDetails[contains (./rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.PAYGW.ContextId],'DNOABN')]/rvctc2:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &lt;0 or 
                        number(as.0001.prv:ITPAYGWithholdingDetails[contains (./rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.PAYGW.ContextId],'DNOABN')]/rvctc2:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[ @contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 9999999999999 ) and 
                        as.0001.prv:ITPAYGWithholdingDetails[contains (./rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.PAYGW.ContextId],'DNOABN')]/rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')] = 'DNOABN')">W4 - Amounts withheld where no ABN is quoted is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000131" diagnostics="DVR.ATO.AS.000131.0" test=" not( 
                        (count(as.0001.prv:ITPAYGWithholdingDetails[contains (./rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.PAYGW.ContextId ],'W3')]/rvctc2:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0 or 
                        string-length(as.0001.prv:ITPAYGWithholdingDetails[contains (./rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.PAYGW.ContextId ],'W3')]/rvctc2:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0) and
						as.0001.prv:ITPAYGWithholdingDetails[contains (./rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.PAYGW.ContextId ],'W3')]/rvctc2:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and
                        (number(as.0001.prv:ITPAYGWithholdingDetails[contains (./rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.PAYGW.ContextId ],'W3')]/rvctc2:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &lt;0 or 
                        number(as.0001.prv:ITPAYGWithholdingDetails[contains (./rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.PAYGW.ContextId ],'W3')]/rvctc2:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[ @contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt;9999999999999 ) and
                        as.0001.prv:ITPAYGWithholdingDetails[contains (./rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.PAYGW.ContextId],'W3')]/rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')] = 'W3')">W3 - Other amounts withheld (excluding any amount shown at W2 or W4) is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000132" diagnostics="DVR.ATO.AS.000132.0" test=" not( 
                        (count(as.0001.prv:ITPAYGWithholdingDetails[contains (./rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.PAYGW.ContextId ],'W2')]/rvctc2:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0 or 
                        string-length(as.0001.prv:ITPAYGWithholdingDetails[contains (./rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.PAYGW.ContextId],'W2')]/rvctc2:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0) and
						as.0001.prv:ITPAYGWithholdingDetails[contains (./rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.PAYGW.ContextId ],'W2')]/rvctc2:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and
                        (number(as.0001.prv:ITPAYGWithholdingDetails[contains (./rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.PAYGW.ContextId ],'W2')]/rvctc2:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &lt;0 or 
                        number(as.0001.prv:ITPAYGWithholdingDetails[contains (./rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.PAYGW.ContextId ],'W2')]/rvctc2:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[ @contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt;9999999999999 )and
                        as.0001.prv:ITPAYGWithholdingDetails[contains (./rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.PAYGW.ContextId],'W2')]/rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')] = 'W2')">W2 - Amounts withheld from salaries or wages and other payments shown at W1 is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000133" diagnostics="DVR.ATO.AS.000133.0" test=" not(( lrla:Remuneration.WagesAndSalaries.PlusPaymentsOther.Amount[@contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')] or 
               string-length(lrla:Remuneration.WagesAndSalaries.PlusPaymentsOther.Amount[@contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&gt;0)and 
               lrla:Remuneration.WagesAndSalaries.PlusPaymentsOther.Amount[@contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and  
                
               ( number(lrla:Remuneration.WagesAndSalaries.PlusPaymentsOther.Amount[@contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')] )&lt;0 or 
               number(lrla:Remuneration.WagesAndSalaries.PlusPaymentsOther.Amount[@contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 9999999999999))
             ">W1 - Total salary, wages and other payments is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000135" diagnostics="DVR.ATO.AS.000135.0" test=" not(( rvctc2:IncomeTax.PayAsYouGoWithholding.Total.Amount[@contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')] or  
               string-length(rvctc2:IncomeTax.PayAsYouGoWithholding.Total.Amount[@contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&gt;0)and 
               rvctc2:IncomeTax.PayAsYouGoWithholding.Total.Amount[@contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and  
                
               ( number(rvctc2:IncomeTax.PayAsYouGoWithholding.Total.Amount[@contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')] )&lt;0 or 
               number(rvctc2:IncomeTax.PayAsYouGoWithholding.Total.Amount[@contextRef=$RP.PAYGW.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 9999999999999))
             ">4/W5 - PAYG tax withheld (W2+W3+W4) is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000136" diagnostics="DVR.ATO.AS.000136.0" test="not(
                            (count(rvctc3:FringeBenefitsTax.Payable.Amount[@contextRef = $RP.FBT.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0 or
                            string-length(rvctc3:FringeBenefitsTax.Payable.Amount[@contextRef = $RP.FBT.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0 ) and               
							rvctc3:FringeBenefitsTax.Payable.Amount[@contextRef = $RP.FBT.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and
                            (number(rvctc3:FringeBenefitsTax.Payable.Amount[@contextRef = $RP.FBT.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &lt; 0 or
                            number(rvctc3:FringeBenefitsTax.Payable.Amount[@contextRef = $RP.FBT.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt;= 9999999999999))">6A - FBT instalment is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000138" diagnostics="DVR.ATO.AS.000138.0" test="not(
                            (count(rvctc3:FringeBenefitsTax.ClaimableCredits.Amount[@contextRef = $RP.FBT.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0 or                       
                             string-length(rvctc3:FringeBenefitsTax.ClaimableCredits.Amount[@contextRef = $RP.FBT.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0 ) and                                       
                            rvctc3:FringeBenefitsTax.ClaimableCredits.Amount[@contextRef = $RP.FBT.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and                                        
                            (number(rvctc3:FringeBenefitsTax.ClaimableCredits.Amount[@contextRef = $RP.FBT.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &lt; 0 or
                            number(rvctc3:FringeBenefitsTax.ClaimableCredits.Amount[@contextRef = $RP.FBT.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt;= 9999999999999))">6B - Credit from FBT instalment variation is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000139" diagnostics="DVR.ATO.AS.000139.0" test="not(
                        (count(rvctc3:GoodsAndServicesTax.LiabilityInstalmentsTotal.Amount[@contextRef = $RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0 or
                        string-length(rvctc3:GoodsAndServicesTax.LiabilityInstalmentsTotal.Amount[@contextRef = $RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0 ) and
                        rvctc3:GoodsAndServicesTax.LiabilityInstalmentsTotal.Amount[@contextRef = $RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and                         (number(rvctc3:GoodsAndServicesTax.LiabilityInstalmentsTotal.Amount[@contextRef = $RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &lt; 0 or
                        number(rvctc3:GoodsAndServicesTax.LiabilityInstalmentsTotal.Amount[@contextRef = $RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt;= 9999999999999))">1H - GST instalments (amounts reported at G21 or G23 in your activity statement(s) for the reporting period) is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000140" diagnostics="DVR.ATO.AS.000140.0" test="not(
                    (count(rvctc3:GoodsAndServicesTax.Payable.Amount[@contextRef = $RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0 or
                        string-length(rvctc3:GoodsAndServicesTax.Payable.Amount[@contextRef = $RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0 ) and
                        rvctc3:GoodsAndServicesTax.Payable.Amount[@contextRef = $RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and                         (number(rvctc3:GoodsAndServicesTax.Payable.Amount[@contextRef = $RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &lt; 0 or
                        number(rvctc3:GoodsAndServicesTax.Payable.Amount[@contextRef = $RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt;= 9999999999999))">1A - GST on sales or GST instalment is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000142" diagnostics="DVR.ATO.AS.000142.0" test="not(
                    (count(rvctc3:GoodsAndServicesTax.ClaimableCredits.Amount[@contextRef = $RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0 or
                        string-length(rvctc3:GoodsAndServicesTax.ClaimableCredits.Amount[@contextRef = $RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0 ) and                
                        rvctc3:GoodsAndServicesTax.ClaimableCredits.Amount[@contextRef = $RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and                 
                        (number(rvctc3:GoodsAndServicesTax.ClaimableCredits.Amount[@contextRef = $RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &lt; 0 or
                        number(rvctc3:GoodsAndServicesTax.ClaimableCredits.Amount[@contextRef = $RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt;= 9999999999999))">1B - GST on purchases is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000159" diagnostics="DVR.ATO.AS.000159.0" test=" not((rvctc3:GoodsAndServicesTax.Liability.Amount[@contextRef=$RP.GST.BV.ContextId and not(@i:nil = 'true' or @i:nil = '1')]  or 
                 string-length(rvctc3:GoodsAndServicesTax.Liability.Amount[@contextRef=$RP.GST.BV.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&gt;0)and 
                  rvctc3:GoodsAndServicesTax.Liability.Amount[@contextRef=$RP.GST.BV.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and  
                   
                  ( number(rvctc3:GoodsAndServicesTax.Liability.Amount[@contextRef=$RP.GST.BV.ContextId and not(@i:nil = 'true' or @i:nil = '1')])&lt;0 or 
                    number(rvctc3:GoodsAndServicesTax.Liability.Amount[@contextRef=$RP.GST.BV.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 9999999999999))">G23 - Varied GST amount for the quarter is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000160" diagnostics="DVR.ATO.AS.000160.0" test=" not((rvctc3:WineEqualisationTax.Liability.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')]    or
                   string-length(rvctc3:WineEqualisationTax.Liability.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] )&gt;0)and 
                   rvctc3:WineEqualisationTax.Liability.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and  
                    
                   ( number(rvctc3:WineEqualisationTax.Liability.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] )&lt;0 or 
                   number(rvctc3:WineEqualisationTax.Liability.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] ) &gt; 9999999999999))
               ">1C - Wine equalisation tax is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000161" diagnostics="DVR.ATO.AS.000161.0" test=" not((rvctc3:WineEqualisationTax.ClaimableCredits.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')]  or 
               string-length(rvctc3:WineEqualisationTax.ClaimableCredits.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] )&gt;0)
               and rvctc3:WineEqualisationTax.ClaimableCredits.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and  ( number(rvctc3:WineEqualisationTax.ClaimableCredits.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] )&lt;0
               or number(rvctc3:WineEqualisationTax.ClaimableCredits.Amount[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] ) &gt; 9999999999999))
             ">1D - Wine equalisation tax refundable is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000174" diagnostics="DVR.ATO.AS.000174.0" test="not(
                    (count(rvctc1:IncomeTax.InstalmentPayable.Amount[@contextRef = $RP.PAYGI.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) = 0 or
                        string-length(rvctc1:IncomeTax.InstalmentPayable.Amount[@contextRef = $RP.PAYGI.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0 ) and                    
                        rvctc1:IncomeTax.InstalmentPayable.Amount[@contextRef = $RP.PAYGI.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and                     
                        (number(rvctc1:IncomeTax.InstalmentPayable.Amount[@contextRef = $RP.PAYGI.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &lt; 0 or
                        number(rvctc1:IncomeTax.InstalmentPayable.Amount[@contextRef = $RP.PAYGI.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt;= 9999999999999))">5A - PAYG Income tax instalment amount is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000177" diagnostics="DVR.ATO.AS.000177.0" test="not(
                        (count(rvctc3:FringeBenefitsTax.Liability.Amount[@contextRef = $RP.FBT.BE.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) = 0 or                        
                        string-length(rvctc3:FringeBenefitsTax.Liability.Amount[@contextRef = $RP.FBT.BE.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0 ) and               
                        rvctc3:FringeBenefitsTax.Liability.Amount[@contextRef = $RP.FBT.BE.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and                
                        (number(rvctc3:FringeBenefitsTax.Liability.Amount[@contextRef = $RP.FBT.BE.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &lt; 0 or
                        number(rvctc3:FringeBenefitsTax.Liability.Amount[@contextRef = $RP.FBT.BE.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt;= 9999999999999))">F2 - Estimated FBT for the year is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000178" diagnostics="DVR.ATO.AS.000178.0" test="not(
                        (count(rvctc3:FringeBenefitsTax.Liability.Amount[@contextRef = $RP.FBT.BV.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) = 0 or                        
                            string-length(rvctc3:FringeBenefitsTax.Liability.Amount[@contextRef = $RP.FBT.BV.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0 ) and               
                         rvctc3:FringeBenefitsTax.Liability.Amount[@contextRef = $RP.FBT.BV.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and                
                         (number(rvctc3:FringeBenefitsTax.Liability.Amount[@contextRef = $RP.FBT.BV.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &lt; 0 or
                            number(rvctc3:FringeBenefitsTax.Liability.Amount[@contextRef = $RP.FBT.BV.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt;= 9999999999999))">F3 - Varied FBT amount for the quarter is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000179" diagnostics="DVR.ATO.AS.000179.0" test="not(
                        (count(rvctc3:GoodsAndServicesTax.Liability.Amount[@contextRef = $RP.GST.CAL.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) = 0 or                        
                            string-length(rvctc3:GoodsAndServicesTax.Liability.Amount[@contextRef = $RP.GST.CAL.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0 ) and               
                        rvctc3:GoodsAndServicesTax.Liability.Amount[@contextRef = $RP.GST.CAL.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and                
                        (number(rvctc3:GoodsAndServicesTax.Liability.Amount[@contextRef = $RP.GST.CAL.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &lt; 0 or
                        number(rvctc3:GoodsAndServicesTax.Liability.Amount[@contextRef = $RP.GST.CAL.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt;= 9999999999999))">G9 - GST on Sales (Total sales subject to GST after adjustments divided by eleven) is too large or has a negative amount</assert>


    <assert  id="VR.ATO.AS.000182" diagnostics="DVR.ATO.AS.000182.0" test="not(
                        (count(rvctc1:IncomeTax.Liability.Amount[@contextRef = $RP.PAYGI.CAL.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) = 0 or                        
                            string-length(rvctc1:IncomeTax.Liability.Amount[@contextRef = $RP.PAYGI.CAL.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt; 0 ) and               
                            rvctc1:IncomeTax.Liability.Amount[@contextRef = $RP.PAYGI.CAL.ContextId and not(@i:nil = 'true' or @i:nil = '1')] castable as xs:double and                
                            (number(rvctc1:IncomeTax.Liability.Amount[@contextRef = $RP.PAYGI.CAL.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &lt; 0 or
                            number(rvctc1:IncomeTax.Liability.Amount[@contextRef = $RP.PAYGI.CAL.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) &gt;= 9999999999999))">T11 = T1 x T2 (or T1 x T3) is too large or has a negative amount</assert>


    <assert id="VR.ATO.AS.000198" diagnostics="DVR.ATO.AS.000198"
            test="not(
						            (
							            rvctc3:GoodsAndServicesTax.SelectedReportingOption.Code[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] = '1' 
							            or
							            rvctc3:GoodsAndServicesTax.SelectedReportingOption.Code[@contextRef=$RP.GST.ContextId and not(@i:nil = 'true' or @i:nil = '1')] = '2'
						            )					
						            and
						            (
							            rvctc3:GoodsAndServicesTax.Liability.Amount[@contextRef=$RP.GST.CAL.ContextId and not(@i:nil = 'true' or @i:nil = '1') and string-length(.) != 0 and . > 0]						
							            != 
							            rvctc3:GoodsAndServicesTax.Payable.Amount[@contextRef=$RP.GST.ContextId]
						            )
				              )" >1A - GST on sales or GST instalment must equal G9 - GST on Sales (Total sales subject to GST after adjustments divided by eleven) when provided</assert>


    <assert  id="VR.ATO.AS.000800" diagnostics="DVR.ATO.AS.000800"
       test="not(
                      (
			                    pyin:Report.CompletionHours.Number[@contextRef = $RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] = '00'
                          or
                          pyin:Report.CompletionHours.Number[@contextRef = $RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] = '0'
                      )
			                    and
                      (
			                    pyin:Report.CompletionMinutes.Number[@contextRef = $RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] = '00'
                          or
                          pyin:Report.CompletionMinutes.Number[@contextRef = $RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] = '0'
                      )
			
		                  )">Times taken to complete this form must be greater than 0</assert>
  </rule>
  <!--TaxRate
  =================================================================================================================
  =================================================================================================================-->

  <rule context="xbrli:xbrl/taxrate:TaxRate">


    <assert  id="VR.ATO.AS.000244" diagnostics="DVR.ATO.AS.000244.0" test="not((count(rvctc3:TaxRate.Type.Code[not(@i:nil='true' or @i:nil='1')]) &gt; 0 and
                        string-length(normalize-space(rvctc3:TaxRate.Type.Code[not(@i:nil='true' or @i:nil='1')])) &gt; 0) and
                         (rvctc3:TaxRate.Type.Code[not(@i:nil='true' or @i:nil='1')] != 'Instalment'))">TaxRate.Type.Code must be "Instalment"</assert>
  </rule>
  <!--ITPAYGWithholding details
  =================================================================================================================
  =================================================================================================================-->

  <rule context="xbrli:xbrl/as.0001.prv:ITPAYGWithholdingDetails">


    <assert  id="VR.ATO.AS.000238" diagnostics="DVR.ATO.AS.000238.0" test="not(
          ( count(rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.PAYGW.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0  and 
            string-length(rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.PAYGW.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0) and (
            (rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.PAYGW.ContextId and not(@i:nil='true' or @i:nil='1')]) !='W2' and
            (rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.PAYGW.ContextId and not(@i:nil='true' or @i:nil='1')]) !='W3' and
            (rvctc2:IncomeTax.PayAsYouGoWithholding.PaymentType.Code[@contextRef=$RP.PAYGW.ContextId and not(@i:nil='true' or @i:nil='1')]) !='DNOABN' ))
           ">Income Tax.Pay As You Go Withholding.Payment Type.Code must be "W2", "W3" or "DNOABN"</assert>
  </rule>
  <!--electronic mail
  =================================================================================================================
  =================================================================================================================-->

  <rule context="xbrli:xbrl/electroniccontactelectronicmail:ElectronicContactElectronicMail">


    <assert  id="VR.ATO.AS.000068" diagnostics="DVR.ATO.AS.000068.0" test=" not(
                  (count(pyde:ElectronicContact.ElectronicMail.Address.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 or
                    string-length(pyde:ElectronicContact.ElectronicMail.Address.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0 ) and
                      (pyde:ElectronicContact.ElectronicMail.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) != '03')">Electronic Contact.Electronic Mail.Usage.Code must be set to "03"</assert>
  </rule>
  <!--address details
  =================================================================================================================
  =================================================================================================================-->

  <rule context="xbrli:xbrl/addressdetails1:AddressDetails">


    <assert  id="VR.ATO.AS.000007" diagnostics="DVR.ATO.AS.000007.0" test="not(
                    (count(pyde:AddressDetails.Line1.Text[@contextRef = $RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) = 0 or
                    string-length(pyde:AddressDetails.Line1.Text[@contextRef = $RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) = 0) and 
                    pyde:AddressDetails.Usage.Code='POS')">Business Postal Address Line 1 is required</assert>


    <assert  id="VR.ATO.AS.000008" diagnostics="DVR.ATO.AS.000008.0" test="not(((count(pyde:AddressDetails.OverseasAddress.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0) or  
                   (string-length(pyde:AddressDetails.OverseasAddress.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])=0 ) ) and
                     (pyde:AddressDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] ='POS' ))">Business Postal address overseas indicator is required</assert>


    <assert  id="VR.ATO.AS.000010" diagnostics="DVR.ATO.AS.000010.0" test="not(          
                  ( count(pyde:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0  or 
                   string-length(pyde:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0) and
                   pyde:AddressDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] ='POS'  and 
				   pyde:AddressDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] castable as xs:double and
                   ( 
                  (number(pyde:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])&lt; 200) or (number(pyde:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])&gt; 299) and
                  (number(pyde:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])&lt; 800) or (number(pyde:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])&gt; 7499) and
                  (number(pyde:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])&lt; 7800) or (number(pyde:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])&gt; 9799)
                   )
                  )">Business Postal Address Postcode is not a valid Australian postcode.</assert>


    <assert  id="VR.ATO.AS.000153" diagnostics="DVR.ATO.AS.000153.0" test=" not(pyde:AddressDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] != 'POS')">Address Details Usage Code must be "POS"</assert>


    <assert  id="VR.ATO.AS.000191" diagnostics="DVR.ATO.AS.000191" test="not ((((
                        (count(pyde:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) = 0 or
                            string-length(pyde:AddressDetails.Postcode.Text)=0) or
                        (count(pyde:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) = 0 or
                            string-length(pyde:AddressDetails.StateOrTerritory.Code)=0)) or
                        (count(pyde:AddressDetails.LocalityName.Text[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')]) = 0 or
                            string-length(pyde:AddressDetails.LocalityName.Text)=0)) and
                        ((pyde:AddressDetails.OverseasAddress.Indicator[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] = 'false' or
                        pyde:AddressDetails.OverseasAddress.Indicator[@contextRef=$RP.ContextId and not(@i:nil = 'true' or @i:nil = '1')] = '0') and
                            pyde:AddressDetails.Usage.Code='POS')))">Business postal address: State or territory, Locality name and Postcode are required where Overseas address indicator is False</assert>


    <assert  id="VR.ATO.GEN.001006" diagnostics="DVR.ATO.GEN.001006.0" test="not(
                        (count(pyde:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0  and  
                        string-length(pyde:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0)  and
                        (pyde:AddressDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] ='POS'  and 
                        (
                        (pyde:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] !='AAT') and
                        (pyde:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] !='ACT') and
                        (pyde:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] !='NSW') and
                        (pyde:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] !='QLD') and
                        (pyde:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] !='SA')  and
                        (pyde:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] !='VIC') and
                        (pyde:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] !='WA')  and
                        (pyde:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] !='TAS') and
                        (pyde:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] !='NT'))))">State code must be AAT, ACT, NSW, NT, QLD, SA, TAS, VIC or WA.</assert>


    <assert  id="pyde:AddressDetails.Usage.Code" diagnostics="Dpyde:AddressDetails.Usage.Code" test="not(count(pyde:AddressDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0 or
                  (string-length(pyde:AddressDetails.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])=0 ))">Mandatory field not supplied.</assert>
  </rule>
  <!--organisation name details
==================================================================================================================
==================================================================================================================-->

  <rule context="xbrli:xbrl/organisationname1:OrganisationNameDetails">


    <assert  id="VR.ATO.AS.000029" diagnostics="DVR.ATO.AS.000029.0" test=" not((count(pyde:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0) or
              ( string-length(pyde:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])= 0 ) )
            ">Organisation name is required</assert>


    <assert  id="VR.ATO.AS.000165" diagnostics="DVR.ATO.AS.000165.0" test=" not(
              pyde:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] != 'MTR')
              ">Organisation name - type code must be "MTR"</assert>


    <assert  id="pyde:OrganisationNameDetails.OrganisationalNameType.Code" diagnostics="Dpyde:OrganisationNameDetails.OrganisationalNameType.Code" test=" not((count(pyde:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0) or
              ( string-length(pyde:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])= 0 ) )
            ">Mandatory field not supplied.</assert>
  </rule>
  <!--electronic contact telephone
  ============================================================================================================
  ============================================================================================================-->

  <rule context="xbrli:xbrl/electroniccontacttelephone:ElectronicContactTelephone">


    <assert  id="VR.ATO.AS.000025" diagnostics="DVR.ATO.AS.000025.0" test=" not((
                     (count(pyde:ElectronicContact.Telephone.Minimal.Number[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 or
                       string-length(pyde:ElectronicContact.Telephone.Minimal.Number[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 ) and
                      pyde:ElectronicContact.Telephone.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] != '03')and 
                      count(pyde:ElectronicContact.Telephone.ServiceLine.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0 or  
                     (string-length(pyde:ElectronicContact.Telephone.ServiceLine.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])=0 ))">Electronic Contact.Telephone.Service Line.Code is required</assert>


    <assert  id="VR.ATO.AS.000028" diagnostics="DVR.ATO.AS.000028.0" test="not((count(pyde:ElectronicContact.Telephone.Minimal.Number[@contextRef = $RP.ContextId and not(@i:nil = 'true' or @i:nil = '0')]) &gt; 0 or
                      string-length(pyde:ElectronicContact.Telephone.Minimal.Number[@contextRef = $RP.ContextId and not(@i:nil = 'true' or @i:nil = '0')]) &gt; 0) and
                        pyde:ElectronicContact.Telephone.Usage.Code[@contextRef = $RP.ContextId and not(@i:nil = 'true' or @i:nil = '0')] = '03' and
                          not(matches(pyde:ElectronicContact.Telephone.Minimal.Number[@contextRef = $RP.ContextId and not(@i:nil = 'true' or @i:nil = '0')],'^([0-9])*$')))">Field not supplied in valid Numeric format</assert>


    <assert  id="VR.ATO.AS.000173" diagnostics="DVR.ATO.AS.000173.0" test=" not(
                     (count(pyde:ElectronicContact.Telephone.Minimal.Number[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 or
                       string-length(pyde:ElectronicContact.Telephone.Minimal.Number[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0 ) and
                      pyde:ElectronicContact.Telephone.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] != '03')">Telephone usage code must be set to "03"</assert>


    <assert  id="VR.ATO.AS.000195" diagnostics="DVR.ATO.AS.000195.0" test="
                      (pyde:ElectronicContact.Telephone.Usage.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] != '03')
                      or not
                      (
                         ( count(pyde:ElectronicContact.Telephone.ServiceLine.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 and 
                          string-length(pyde:ElectronicContact.Telephone.ServiceLine.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])&gt;0 ) 
                          and 
                        (
                     
                         (pyde:ElectronicContact.Telephone.ServiceLine.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] != '01') and
                         (pyde:ElectronicContact.Telephone.ServiceLine.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] != '02') and
                          (pyde:ElectronicContact.Telephone.ServiceLine.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] != '03') and
                         (pyde:ElectronicContact.Telephone.ServiceLine.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')] != '09')
                        )
                      )">ElectronicContact.Telephone.ServiceLine.Code must be "01" , "02" , "03" or "09"</assert>
  </rule>
</pattern>