﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="DataTypes" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>PreLodge DataType Validations</title>

  <!-- 
 DATE VALIDATIONS 
 -->

  <rule name="VR.ATO.GEN.001008" context="xbrli:xbrl/pyin:Report.Submission.Date">
    <extends rule="xsd-datatype-date" />
  </rule>

  <rule name="VR.ATO.GEN.001008" context="xbrli:xbrl/pyin:Lodgment.Due.Date">
    <extends rule="xsd-datatype-date" />
  </rule>

  <rule name="VR.ATO.GEN.001008" context="xbrli:xbrl/pyin:PaymentRecord.Due.Date">
    <extends rule="xsd-datatype-date" />
  </rule>
  <!-- 
 MONETARY TYPE VALIDATIONS 
 -->

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/rvctc1:IncomeTax.CompanyAndSuperannuationFundDeferredLiabilityInstalment.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/rvctc3:GoodsAndServicesTax.DeferredLiabilityOnImportDuty.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/rvctc3:FringeBenefitsTax.Liability.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/bafpr2:Income.SaleOfGoodsAndServices.Whole.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/rvctc3:GoodsAndServicesTax.Liability.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/bafpr1:Expense.Capital.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/rvctc3:GoodsAndServicesTax.ExportSales.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/bafpr1:Expense.NonCapital.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/rvctc3:GoodsAndServicesTax.ExemptSales.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/rvctc3:LuxuryCarTax.Liability.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/rvctc3:LuxuryCarTax.ClaimableCredits.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/rvctc3:WineEqualisationTax.Liability.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/rvctc3:WineEqualisationTax.ClaimableCredits.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/rvctc3:FuelTax.OverclaimedCredits.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/rvctc3:FuelTax.ClaimableCredits.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/rvctc1:IncomeTax.Liability.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/rvctc1:IncomeTax.InstalmentIncome.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/as.0001.prv:ITPAYGWithholdingDetails/rvctc2:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/lrla:Remuneration.WagesAndSalaries.PlusPaymentsOther.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/rvctc2:IncomeTax.PayAsYouGoWithholding.Total.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/pyin:Report.Statement.Summary.Net.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/pyin:Report.Statement.Summary.Payable.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/pyin:Report.Statement.Summary.Refundable.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/rvctc3:FringeBenefitsTax.Payable.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/rvctc3:FringeBenefitsTax.ClaimableCredits.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/rvctc3:GoodsAndServicesTax.LiabilityInstalmentsTotal.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/rvctc3:GoodsAndServicesTax.Payable.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/rvctc3:GoodsAndServicesTax.ClaimableCredits.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/rvctc1:IncomeTax.InstalmentPayable.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>

  <rule name="VR.ATO.GEN.001009" context="xbrli:xbrl/rvctc1:IncomeTax.InstalmentClaimableCredits.Amount">
    <extends rule="xsd-datatype-monetary" />
  </rule>
  <!-- 
 BOOLEAN TYPE VALIDATIONS 
 -->

  <rule name="VR.ATO.GEN.001010" context="xbrli:xbrl/pyin:Report.Statement.Revision.Indicator">
    <extends rule="xsd-datatype-boolean" />
  </rule>

  <rule name="VR.ATO.GEN.001010" context="xbrli:xbrl/bafot:AccountingPolicies.CashAccountingMethodUsed.Indicator">
    <extends rule="xsd-datatype-boolean" />
  </rule>

  <rule name="VR.ATO.GEN.001010" context="xbrli:xbrl/bafpr2:Income.SaleOfGoodsAndServices.TaxIncluded.Indicator">
    <extends rule="xsd-datatype-boolean" />
  </rule>

  <rule name="VR.ATO.GEN.001010" context="xbrli:xbrl/addressdetails1:AddressDetails/pyde:AddressDetails.OverseasAddress.Indicator">
    <extends rule="xsd-datatype-boolean" />
  </rule>
  <!-- 
 POSITIVE INTEGER VALIDATIONS 
 -->

  <!--<rule name="VR.ATO.GEN.001013" context="xbrli:xbrl/pyin:Report.CompletionHours.Number">
<extends rule="xsd-datatype-positiveIntegerItemType" />
</rule>

<rule name="VR.ATO.GEN.001013" context="xbrli:xbrl/pyin:Report.CompletionMinutes.Number">
<extends rule="xsd-datatype-positiveIntegerItemType" />
</rule>-->
  <!-- 
 DECIMAL VALIDATIONS 
 -->

  <rule name="VR.ATO.GEN.001018" context="xbrli:xbrl/taxrate:TaxRate/rvctc3:TaxRate.Designation.Rate">
    <extends rule="xsd-datatype-decimal" />
  </rule>
  <!-- 
 SPECIFIC TYPE VALIDATIONS 
 -->

  <rule name="VR.ATO.GEN.002001" context="xbrli:xbrl/pyin:BusinessDocument.GovernmentGeneratedIdentifier.Text">
    <extends rule="xsd-datatype-sbrdocumentidentificationitemtype" />
  </rule>

  <rule name="VR.ATO.GEN.002002" context="xbrli:xbrl/addressdetails1:AddressDetails/pyde:AddressDetails.Postcode.Text">
    <extends rule="xsd-datatype-sbrpostcodeitemtype" />
  </rule>

  <rule name="VR.ATO.GEN.002003" context="xbrli:xbrl/pyde:OrganisationNameDetails.OrganisationalName.Text">
    <extends rule="xsd-datatype-sbrorganisationnameitemtype" />
  </rule>

  <rule name="VR.ATO.GEN.002004" context="xbrli:xbrl/electroniccontacttelephone:ElectronicContactTelephone/pyde:ElectronicContact.Telephone.Minimal.Number">
    <extends rule="xsd-datatype-sbrtelephonenumberitemtype" />
  </rule>

  <rule name="VR.ATO.GEN.002005" context="xbrli:xbrl/pyde:OrganisationDetails.OrganisationBranch.Code">
    <extends rule="xsd-datatype-sbrorganisationbranchitemtype" />
  </rule>

  <rule name="VR.ATO.GEN.002006" context="xbrli:xbrl/pyid:Identifiers.TaxFileNumber.Identifier">
    <extends rule="xsd-datatype-sbrtaxfilenumberitemtype" />
  </rule>

  <rule name="VR.ATO.GEN.002007" context="xbrli:xbrl/pyid:Identifiers.TaxAgentNumber.Identifier">
    <extends rule="xsd-datatype-sbrTaxAgentNumberItemType" />
  </rule>
</pattern>